*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 02691
*               SERVICES RESEARCH OUTCOMES STUDY, 1995-1996
*                 (DATASET 0003: FOLLOW-UP INTERVIEW DATA)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\02691-0003-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da02691-0003.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=2666.
DATA LIST FILE=DATA /
              CASEID 1-4           CLIENTID 5-11            FAC_ID 12-15
              MODE 16-17           WT1 18-26 (4)           WT2 27-35 (4)
           WT3 36-44 (4)                A1 45-46                A3 47-48
                A4 49-50             A4A_1 51-52             A4A_2 53-54
             A4A_3 55-56             A4A_4 57-58                A5 59-60
                A6 61-62                A7 63-64                A8 65-66
             A8A_1 67-68             A8A_2 69-70             A8A_3 71-72
             A8A_4 73-74                A9 75-76               A9A 77-78
               A10 79-80               A11 81-82                B1 83-84
                B2 85-86               B2B 87-88                B4 89-90
                B5 91-92               B5A 93-94              B6_1 95-96
              B6_2 97-98             B6_3 99-100            B6_4 101-102
            B6_5 103-104            B6_6 105-106            B6_7 107-108
            B6_8 109-110            B6_9 111-112           B6_10 113-114
           B6_11 115-116           B6_12 117-118           B6_13 119-120
           B6_14 121-122            B7_1 123-124            B7_2 125-126
            B7_3 127-128            B7_4 129-130            B7_5 131-132
             B8A 133-134             B8B 135-136             B8C 137-138
             B8D 139-140             B8E 141-142             B8F 143-144
             B8G 145-146             B9A 147-148             B9B 149-150
             B9C 151-152             B9D 153-154             B9E 155-156
             B9F 157-158             B10 159-160             B11 161-162
            B11A 163-164             B12 165-166          B12A_1 167-168
          B12A_2 169-170          B12A_3 171-172          B12A_4 173-174
          B12A_5 175-176          B12A_6 177-178          B12A_7 179-180
          B12A_8 181-182          B12A_9 183-184         B12A_10 185-186
         B12A_11 187-188         B12A_12 189-190         B12A_13 191-192
            B12B 193-194            B12C 195-196             B13 197-198
             B14 199-200             B15 201-202             B16 203-204
            B16A 205-206            B16B 207-208             B17 209-210
             B18 211-212           B18AA 213-214           B18AB 215-216
           B18AC 217-218            B19A 219-220            B19B 221-222
            B19C 223-224            B19D 225-226            B19E 227-228
            B19F 229-230            B19G 231-232            B19H 233-234
            B19I 235-236             B20 237-238          BOX20A 239-240
         B21CODE 241-242          B21BYR 243-244            B21C 245-246
            B21D 247-248           B21D2 249-250         B21ECOD 251-252
           B21GY 253-254            B21H 255-256             B22 257-258
            B23A 259-260            B23B 261-262            B23C 263-264
            B23D 265-266            B23E 267-268            B24A 269-270
            B24B 271-272            B24C 273-274             B25 275-276
           B25AA 277-278           B25AB 279-280           B25AC 281-282
             B26 283-284            B26A 285-286         B27CODE 287-288
            B29A 289-290            B29B 291-292          B29C_1 293-294
          B29C_2 295-296          B29C_3 297-298          B29C_4 299-300
          B29C_5 301-302          B29C_6 303-304          B29C_7 305-306
          B29C_8 307-308          B29C_9 309-310         B29C_10 311-312
         B29C_11 313-314         B29C_12 315-316         B29C_13 317-318
         B29C_14 319-320            B30A 321-322            B30B 323-324
          B30C_1 325-326          B30C_2 327-328          B30C_3 329-330
          B30C_4 331-332          B30C_5 333-334          B30C_6 335-336
          B30C_7 337-338          B30C_8 339-340          B30C_9 341-342
         B30C_10 343-344         B30C_11 345-346         B30C_12 347-348
         B30C_13 349-350         B30C_14 351-352            B31A 353-354
            B31B 355-356          B31C_1 357-358          B31C_2 359-360
          B31C_3 361-362          B31C_4 363-364          B31C_5 365-366
          B31C_6 367-368          B31C_7 369-370          B31C_8 371-372
          B31C_9 373-374         B31C_10 375-376         B31C_11 377-378
         B31C_12 379-380         B31C_13 381-382         B31C_14 383-384
            B32A 385-386            B32B 387-388          B32C_1 389-390
          B32C_2 391-392          B32C_3 393-394          B32C_4 395-396
          B32C_5 397-398          B32C_6 399-400          B32C_7 401-402
          B32C_8 403-404          B32C_9 405-406         B32C_10 407-408
         B32C_11 409-410         B32C_12 411-412         B32C_13 413-414
         B32C_14 415-416            B33A 417-418            B33B 419-420
          B33C_1 421-422          B33C_2 423-424          B33C_3 425-426
          B33C_4 427-428          B33C_5 429-430          B33C_6 431-432
          B33C_7 433-434          B33C_8 435-436          B33C_9 437-438
         B33C_10 439-440         B33C_11 441-442         B33C_12 443-444
         B33C_13 445-446         B33C_14 447-448            B34A 449-450
            B34B 451-452            B34C 453-454             B35 455-456
           B35AA 457-458           B35AB 459-460           B35AC 461-462
             B36 463-464           B41_1 465-466           B41_2 467-468
           B41_3 469-470           B41_4 471-472           B41_5 473-474
           B41_6 475-476           B41_7 477-478           B41_8 479-480
           B41_9 481-482          B41_10 483-484          B41_11 485-486
          B41_12 487-488          B41_13 489-490             B42 491-492
             B43 493-494             B44 495-496            B44A 497-498
             B45 499-500             B46 501-502           B46AA 503-504
           B46AB 505-506           B46AC 507-508            B47A 509-510
            B47B 511-512            B47C 513-514            B47D 515-516
            B47E 517-518            B47F 519-520            B47G 521-522
            B47H 523-524            B47I 525-526             B48 527-528
        C1AINHAL 529-530        C1AALCOH 531-532        C1AMARIJ 533-534
        C1ACRACK 535-536        C1ACOCAI 537-538          C1APCP 539-540
        C1AHALLU 541-542        C1AHEROI 543-544        C1AMTHDO 545-546
        C1AONARC 547-548        C1AMETHA 549-550        C1ADOWNR 551-552
        C1AODRUG 553-554         C2INHAL 555-556         C3INHAL 557-558
        C3AINHAL 559-560         C4INHAL 561-562         C5INHAL 563-564
         C6INHAL 565-566         C7INHAL 567-568         C8INHAL 569-570
        C8AINHAL 571-572         C9INHAL 573-574         C2ALCOH 575-576
         C3ALCOH 577-578        C3AALCOH 579-580         C4ALCOH 581-582
         C5ALCOH 583-584         C6ALCOH 585-586         C7ALCOH 587-588
         C8ALCOH 589-590        C8AALCOH 591-592         C9ALCOH 593-594
         C2MARIJ 595-596         C3MARIJ 597-598        C3AMARIJ 599-600
         C4MARIJ 601-602         C5MARIJ 603-604         C6MARIJ 605-606
         C7MARIJ 607-608         C8MARIJ 609-610        C8AMARIJ 611-612
         C9MARIJ 613-614         C2CRACK 615-616         C3CRACK 617-618
        C3ACRACK 619-620         C4CRACK 621-622         C5CRACK 623-624
         C6CRACK 625-626         C7CRACK 627-628         C8CRACK 629-630
        C8ACRACK 631-632         C9CRACK 633-634         C2COCAI 635-636
         C3COCAI 637-638        C3ACOCAI 639-640         C4COCAI 641-642
         C5COCAI 643-644         C6COCAI 645-646         C7COCAI 647-648
         C8COCAI 649-650        C8ACOCAI 651-652         C9COCAI 653-654
           C2PCP 655-656           C3PCP 657-658          C3APCP 659-660
           C4PCP 661-662           C5PCP 663-664           C6PCP 665-666
           C7PCP 667-668           C8PCP 669-670          C8APCP 671-672
           C9PCP 673-674         C2HALLU 675-676         C3HALLU 677-678
        C3AHALLU 679-680         C4HALLU 681-682         C5HALLU 683-684
         C6HALLU 685-686         C7HALLU 687-688         C8HALLU 689-690
        C8AHALLU 691-692         C9HALLU 693-694         C2HEROI 695-696
         C3HEROI 697-698        C3AHEROI 699-700         C4HEROI 701-702
         C5HEROI 703-704         C6HEROI 705-706         C7HEROI 707-708
         C8HEROI 709-710        C8AHEROI 711-712         C9HEROI 713-714
         C2MTHDO 715-716         C3MTHDO 717-718        C3AMTHDO 719-720
         C4MTHDO 721-722         C5MTHDO 723-724         C6MTHDO 725-726
         C7MTHDO 727-728         C8MTHDO 729-730        C8AMTHDO 731-732
         C9MTHDO 733-734         C2ONARC 735-736         C3ONARC 737-738
        C3AONARC 739-740         C4ONARC 741-742         C5ONARC 743-744
         C6ONARC 745-746         C7ONARC 747-748         C8ONARC 749-750
        C8AONARC 751-752         C9ONARC 753-754         C2METHA 755-756
         C3METHA 757-758        C3AMETHA 759-760         C4METHA 761-762
         C5METHA 763-764         C6METHA 765-766         C7METHA 767-768
         C8METHA 769-770        C8AMETHA 771-772         C9METHA 773-774
         C2DOWNR 775-776         C3DOWNR 777-778        C3ADOWNR 779-780
         C4DOWNR 781-782         C5DOWNR 783-784         C6DOWNR 785-786
         C7DOWNR 787-788         C8DOWNR 789-790        C8ADOWNR 791-792
         C9DOWNR 793-794         C2ODRUG 795-796         C3ODRUG 797-798
        C3AODRUG 799-800         C4ODRUG 801-802         C5ODRUG 803-804
         C6ODRUG 805-806         C7ODRUG 807-808         C8ODRUG 809-810
        C8AODRUG 811-812         C9ODRUG 813-814             C10 815-816
             C11 817-818           C12_1 819-820       C13_1 821-824 (1)
          C13_1A 825-826           C12_2 827-828       C13_2 829-832 (1)
          C13_2A 833-834           C12_3 835-836       C13_3 837-840 (1)
          C13_3A 841-842         C15INHA 843-844         C15ALCO 845-846
         C15MARI 847-848         C15CRCK 849-850         C15COCA 851-852
          C15PCP 853-854         C15HALU 855-856         C15HERO 857-858
         C15MTDO 859-860         C15ONRC 861-862         C15METH 863-864
         C15DOWN 865-866         C15OTHR 867-868         C16INHA 869-870
         C17INHA 871-872         C18INHA 873-874        C18AINHA 875-876
         C19INHA 877-878        C19AINHA 879-880         C20INHA 881-882
        C20AINHA 883-884         C21INHA 885-886         C16ALCO 887-888
         C17ALCO 889-890         C18ALCO 891-892        C18AALCO 893-894
         C19ALCO 895-896        C19AALCO 897-898         C20ALCO 899-900
        C20AALCO 901-902         C21ALCO 903-904         C16MARI 905-906
         C17MARI 907-908         C18MARI 909-910        C18AMARI 911-912
         C19MARI 913-914        C19AMARI 915-916         C20MARI 917-918
        C20AMARI 919-920         C21MARI 921-922         C16CRCK 923-924
         C17CRCK 925-926         C18CRCK 927-928        C18ACRCK 929-930
         C19CRCK 931-932        C19ACRCK 933-934         C20CRCK 935-936
        C20ACRCK 937-938         C21CRCK 939-940         C16COCA 941-942
         C17COCA 943-944         C18COCA 945-946        C18ACOCA 947-948
         C19COCA 949-950        C19ACOCA 951-952         C20COCA 953-954
        C20ACOCA 955-956         C21COCA 957-958          C16PCP 959-960
          C17PCP 961-962          C18PCP 963-964         C18APCP 965-966
          C19PCP 967-968         C19APCP 969-970          C20PCP 971-972
         C20APCP 973-974          C21PCP 975-976         C16HALU 977-978
         C17HALU 979-980         C18HALU 981-982        C18AHALU 983-984
         C19HALU 985-986        C19AHALU 987-988         C20HALU 989-990
        C20AHALU 991-992         C21HALU 993-994         C16HERO 995-996
         C17HERO 997-998        C18HERO 999-1000      C18AHERO 1001-1002
       C19HERO 1003-1004      C19AHERO 1005-1006       C20HERO 1007-1008
      C20AHERO 1009-1010       C21HERO 1011-1012       C16MTDO 1013-1014
       C17MTDO 1015-1016       C18MTDO 1017-1018      C18AMTDO 1019-1020
       C19MTDO 1021-1022      C19AMTDO 1023-1024       C20MTDO 1025-1026
      C20AMTDO 1027-1028       C21MTDO 1029-1030       C16ONRC 1031-1032
       C17ONRC 1033-1034       C18ONRC 1035-1036      C18AONRC 1037-1038
       C19ONRC 1039-1040      C19AONRC 1041-1042       C20ONRC 1043-1044
      C20AONRC 1045-1046       C21ONRC 1047-1048       C16METH 1049-1050
       C17METH 1051-1052       C18METH 1053-1054      C18AMETH 1055-1056
       C19METH 1057-1058      C19AMETH 1059-1060       C20METH 1061-1062
      C20AMETH 1063-1064       C21METH 1065-1066       C16DOWN 1067-1068
       C17DOWN 1069-1070       C18DOWN 1071-1072      C18ADOWN 1073-1074
       C19DOWN 1075-1076      C19ADOWN 1077-1078       C20DOWN 1079-1080
      C20ADOWN 1081-1082       C21DOWN 1083-1084       C16OTHR 1085-1086
       C17OTHR 1087-1088       C18OTHR 1089-1090      C18AOTHR 1091-1092
       C19OTHR 1093-1094      C19AOTHR 1095-1096       C20OTHR 1097-1098
      C20AOTHR 1099-1100       C21OTHR 1101-1102           C22 1103-1104
           C23 1105-1106         C24_1 1107-1108     C25_1 1109-1112 (1)
        C25_1A 1113-1114         C24_2 1115-1116     C25_2 1117-1120 (1)
        C25_2A 1121-1122         C24_3 1123-1124     C25_3 1125-1129 (2)
        C25_3A 1130-1131           C27 1132-1133          C27A 1134-1135
          C27B 1136-1137           C28 1138-1139          C28A 1140-1141
          C28B 1142-1143         C28CA 1144-1145         C28CB 1146-1147
         C28CC 1148-1149           C29 1150-1151          C29A 1152-1153
            D1 1154-1155           D1A 1156-1157            D2 1158-1159
            D3 1160-1161            D4 1162-1163            D5 1164-1165
           D6A 1166-1167           D6B 1168-1169           D6C 1170-1171
           D6D 1172-1173           D6E 1174-1175           D6F 1176-1177
           D6G 1178-1179            D7 1180-1181          D7AA 1182-1183
          D7BA 1184-1185          D7AB 1186-1187          D7BB 1188-1189
          D7AC 1190-1191          D7BC 1192-1193          D7AD 1194-1195
          D7BD 1196-1197          D7AE 1198-1199          D7BE 1200-1201
          D7AF 1202-1203          D7BF 1204-1205          D7AG 1206-1207
          D7BG 1208-1209            D8 1210-1211            D9 1212-1213
         D9A_1 1214-1215         D9A_2 1216-1217         D9A_3 1218-1219
         D9A_4 1220-1221         D9A_5 1222-1223         D9A_6 1224-1225
         D9A_7 1226-1227         D9A_8 1228-1229         D9A_9 1230-1231
        D9A_10 1232-1233        D9A_11 1234-1235        D9A_12 1236-1237
        D9A_13 1238-1239        D9A_14 1240-1241        D9A_15 1242-1243
           D10 1244-1245          D10A 1246-1247           D11 1248-1249
          D12A 1250-1251          D13A 1252-1253       D13ANUM 1254-1255
          D12B 1256-1257          D13B 1258-1259       D13BNUM 1260-1261
          D12C 1262-1263          D13C 1264-1265       D13CNUM 1266-1267
          D12D 1268-1269          D13D 1270-1271       D13DNUM 1272-1273
          D12E 1274-1275          D13E 1276-1277       D13ENUM 1278-1279
          D12F 1280-1281          D13F 1282-1283       D13FNUM 1284-1285
          D12G 1286-1287          D13G 1288-1289       D13GNUM 1290-1291
           D14 1292-1293          D14A 1294-1295           D15 1296-1297
          D15A 1298-1299          D15B 1300-1301          D16A 1302-1303
          D17A 1304-1305          D16B 1306-1307          D17B 1308-1309
          D16C 1310-1311          D17C 1312-1313          D16D 1314-1315
          D17D 1316-1317          D16E 1318-1319          D17E 1320-1321
          D16F 1322-1323          D17F 1324-1325          D16G 1326-1327
          D17G 1328-1329           D18 1330-1331           D19 1332-1333
           D20 1334-1335          D20A 1336-1337          D20B 1338-1339
          D20C 1340-1341          D20D 1342-1343          D20E 1344-1345
          D20F 1346-1347           D21 1348-1349          D21A 1350-1351
          D21B 1352-1353          D21C 1354-1355          D21D 1356-1357
          D21E 1358-1359          D21F 1360-1361           D22 1362-1363
          D22A 1364-1365          D22B 1366-1367          D22C 1368-1369
          D22D 1370-1371          D22E 1372-1373          D22F 1374-1375
           D23 1376-1377          D23A 1378-1379          D23B 1380-1381
          D23C 1382-1383          D23D 1384-1385          D23E 1386-1387
          D23F 1388-1389           D24 1390-1391          D24A 1392-1393
          D24B 1394-1395          D24C 1396-1397          D24D 1398-1399
          D24E 1400-1401          D24F 1402-1403           D25 1404-1405
          D25A 1406-1407          D25B 1408-1409          D25C 1410-1411
          D25D 1412-1413          D25E 1414-1415          D25F 1416-1417
           D26 1418-1419          D26A 1420-1421          D26B 1422-1423
          D26C 1424-1425          D26D 1426-1427          D26E 1428-1429
          D26F 1430-1431           D27 1432-1433          D27A 1434-1435
          D27B 1436-1437          D27C 1438-1439          D27D 1440-1441
          D27E 1442-1443          D27F 1444-1445           D28 1446-1447
          D28A 1448-1449          D28B 1450-1451          D28C 1452-1453
          D28D 1454-1455          D28E 1456-1457          D28F 1458-1459
           D29 1460-1461          D29A 1462-1463          D29B 1464-1465
          D29C 1466-1467          D29D 1468-1469          D29E 1470-1471
          D29F 1472-1473           D30 1474-1475          D30A 1476-1477
          D30B 1478-1479          D30C 1480-1481          D30D 1482-1483
          D30E 1484-1485          D30F 1486-1487           D31 1488-1489
          D31A 1490-1491          D31B 1492-1493          D31C 1494-1495
          D31D 1496-1497          D31E 1498-1499          D31F 1500-1501
           D32 1502-1503          D32A 1504-1505          D32B 1506-1507
          D32C 1508-1509          D32D 1510-1511          D32E 1512-1513
          D32F 1514-1515           D33 1516-1517          D33A 1518-1519
          D33B 1520-1521          D33C 1522-1523          D33D 1524-1525
          D33E 1526-1527          D33F 1528-1529           D34 1530-1531
          D34A 1532-1533          D34B 1534-1535          D34C 1536-1537
          D34D 1538-1539          D34E 1540-1541          D34F 1542-1543
           D35 1544-1545          D35A 1546-1547          D35B 1548-1549
          D35C 1550-1551          D35D 1552-1553          D35E 1554-1555
          D35F 1556-1557           D36 1558-1559         D36AA 1560-1561
         D36AB 1562-1563         D36AC 1564-1565         D35AD 1566-1567
            E1 1568-1569           E1A 1570-1571            E2 1572-1573
            E3 1574-1575       E4MONTH 1576-1577        E4YEAR 1578-1579
            E5 1580-1581            E6 1582-1583            E7 1584-1585
           E8A 1586-1587           E8B 1588-1589            E9 1590-1591
           E10 1592-1593            F1 1594-1595            F2 1596-1597
            F3 1598-1599           F3A 1600-1601           F3B 1602-1603
            F4 1604-1605            F5 1606-1607           F5A 1608-1609
            F6 1610-1611           F6A 1612-1613            F7 1614-1615
            F8 1616-1617           F8A 1618-1619            F9 1620-1621
           F10 1622-1623          F10A 1624-1625           F11 1626-1627
          F11A 1628-1629           F12 1630-1631          F12A 1632-1633
           F13 1634-1635          F13A 1636-1637          F13B 1638-1639
          F13C 1640-1641          F13D 1642-1643          F13E 1644-1645
          F13F 1646-1647           F14 1648-1649          F14A 1650-1651
           F15 1652-1653          F15A 1654-1655          F15B 1656-1657
          F15C 1658-1659           F16 1660-1661          F16A 1662-1663
           F17 1664-1665          F17A 1666-1667          F17B 1668-1669
          F17C 1670-1671           F19 1672-1673        F19A_1 1674-1675
        F19A_2 1676-1677        F19A_3 1678-1679        F19A_4 1680-1681
        F19A_5 1682-1683        F19A_6 1684-1685        F19A_7 1686-1687
        F19A_8 1688-1689        F19A_9 1690-1691       F19A_10 1692-1693
        F19B_0 1694-1695        F19B_1 1696-1697        F19B_2 1698-1699
        F19B_3 1700-1701        F19B_4 1702-1703        F19B_5 1704-1705
        F19B_6 1706-1707        F19B_7 1708-1709        F19B_8 1710-1711
        F19B_9 1712-1713       F19B_10 1714-1715       F19B_11 1716-1717
       F19B_12 1718-1719       F19B_13 1720-1721       F19B_14 1722-1723
       F19B_15 1724-1725       F19B_16 1726-1727       F19B_17 1728-1729
          F19C 1730-1731            G1 1732-1733            G2 1734-1735
            G3 1736-1737           G3A 1738-1739           G3B 1740-1741
            G4 1742-1743            G5 1744-1745            G6 1746-1747
            G7 1748-1749            G8 1750-1751            G9 1752-1753
           G10 1754-1755           G11 1756-1757           G12 1758-1759
           G13 1760-1761           G14 1762-1763           G15 1764-1765
           G16 1766-1767           G17 1768-1769           G18 1770-1771
           G19 1772-1773           G20 1774-1775          G20A 1776-1777
          G20B 1778-1779           G21 1780-1781           G22 1782-1783
           G23 1784-1785           G24 1786-1787           G25 1788-1789
           G26 1790-1791           G27 1792-1793           G28 1794-1795
          G28A 1796-1797          G28B 1798-1799           G29 1800-1801
           G30 1802-1803           G31 1804-1805           G32 1806-1807
           G33 1808-1809           G34 1810-1811           G35 1812-1813
           G36 1814-1815           G37 1816-1818           G38 1819-1820
           G39 1821-1822           G40 1823-1824           G41 1825-1827
           G42 1828-1829           G43 1830-1831           G44 1832-1833
           G45 1834-1836           G46 1837-1838           G47 1839-1841
           G48 1842-1843           G49 1844-1845           G50 1846-1847
          G51A 1848-1849          G51B 1850-1851          G51C 1852-1853
          G51D 1854-1855          G51E 1856-1857          G51F 1858-1859
          G51G 1860-1861          G51H 1862-1863          G51I 1864-1865
          G51J 1866-1867          G51K 1868-1869         G51AA 1870-1871
         G51BA 1872-1873         G51AB 1874-1875         G51BB 1876-1877
         G51AC 1878-1879         G51BC 1880-1881         G51AD 1882-1883
         G51BD 1884-1885         G51AE 1886-1887         G51BE 1888-1889
         G51AF 1890-1891         G51BF 1892-1893         G51AG 1894-1895
         G51BG 1896-1897         G51AH 1898-1899         G51BH 1900-1901
         G51AI 1902-1903         G51BI 1904-1905         G51AJ 1906-1907
         G51BJ 1908-1909         G51AK 1910-1911         G51BK 1912-1913
           G52 1914-1915           G53 1916-1917           G54 1918-1920
           G55 1921-1922           G56 1923-1925           G57 1926-1927
           G58 1928-1930           G59 1931-1932           G60 1933-1935
           G61 1936-1937           G62 1938-1939           G63 1940-1941
           G64 1942-1943           G65 1944-1945           G66 1946-1947
           G67 1948-1949           G68 1950-1952           G69 1953-1954
           G70 1955-1957           G71 1958-1959           G72 1960-1961
           G73 1962-1964           G74 1965-1966           G75 1967-1969
           G76 1970-1972           G77 1973-1974           G78 1975-1976
           G79 1977-1978           G80 1979-1980           G81 1981-1982
           G82 1983-1984           G83 1985-1986           G84 1987-1988
           G86 1989-1990           G87 1991-1992           G88 1993-1994
           G89 1995-1996           G90 1997-1998           G91 1999-2000
           G92 2001-2002           G93 2003-2004           G95 2005-2006
           G96 2007-2008           G97 2009-2010           G98 2011-2012
           G99 2013-2014            H1 2015-2016            H2 2017-2018
            H3 2019-2020    H3BDOL 2021-2029 (2)       H3BRATE 2030-2031
            H4 2032-2033    H4ADOL 2034-2042 (2)       H4ARATE 2043-2044
       SAME1ST 2045-2046            H6 2047-2048            H7 2049-2050
       SAME2ND 2051-2052    H7BDOL 2053-2061 (2)       H7ARATE 2062-2063
            H8 2064-2065    H8ADOL 2066-2074 (2)       H8ARATE 2075-2076
       SAME3RD 2077-2078           H10 2079-2080          H10A 2081-2082
   H10BDOL 2083-2091 (2)       H10BRTE 2092-2093       SAME4TH 2094-2095
           H11 2096-2097           H12 2098-2099           H13 2100-2101
       SAME5TH 2102-2103   H13BDOL 2104-2111 (2)       H13BRTE 2112-2113
           H14 2114-2115   H14ADOL 2116-2123 (2)       H14ARTE 2124-2125
       SAME6TH 2126-2127           H15 2128-2129       SAME7TH 2130-2131
          H15B 2132-2133   H15CDOL 2134-2141 (2)       H15CRTE 2142-2143
           H17 2144-2145          H17A 2146-2147   H17BDOL 2148-2155 (2)
       H17BRTE 2156-2157       SAME8TH 2158-2159           H19 2160-2161
        H19A_1 2162-2163        H19A_2 2164-2165        H19A_3 2166-2167
        H19A_4 2168-2169        H19A_5 2170-2171        H19A_6 2172-2173
        H19A_7 2174-2175        H19A_8 2176-2177          H19B 2178-2179
          H21A 2180-2181      H22A 2182-2190 (2)       H22ATIM 2191-2192
          H21B 2193-2194      H22B 2195-2202 (2)       H22BTIM 2203-2204
          H21C 2205-2206      H22C 2207-2214 (2)       H22CTIM 2215-2216
          H21D 2217-2218      H22D 2219-2226 (2)       H22DTIM 2227-2228
          H21E 2229-2230          H22E 2231-2236       H22ETIM 2237-2238
          H21F 2239-2240      H22F 2241-2247 (2)       H22FTIM 2248-2249
          H21G 2250-2251          H22G 2252-2256       H22GTIM 2257-2258
          H21H 2259-2260      H22H 2261-2269 (2)       H22HTIM 2270-2271
        PHONE1 2272-2273        PHONE2 2274-2275       PERSON2 2276-2277
        PHONE3 2278-2279       ENDYEAR 2280-2281       TOTTIME 2282-2284
         BOXII 2285-2286        BOXIII 2287-2288         BOXIV 2289-2290
      BOXRECPT 2291-2292          I11A 2293-2294         I11AA 2295-2296
         I11AB 2297-2298          I11B 2299-2300         I11BA 2301-2302
         I11BB 2303-2304          I11C 2305-2306         I11CA 2307-2308
         I11CB 2309-2310          I11D 2311-2312         I11DA 2313-2314
         I11DB 2315-2316          I11E 2317-2318         I11EA 2319-2320
         I11EB 2321-2322          I11F 2323-2324         I11FA 2325-2326
         I11FB 2327-2328          I11G 2329-2330         I11GA 2331-2332
         I11GB 2333-2334         I11AC 2335-2336         I11BC 2337-2338
         I11CC 2339-2340         I11DC 2341-2342         I11EC 2343-2344
         I11FC 2345-2346         I11GC 2347-2348         D6A_1 2349-2350
         INHAL 2351-2352       ALCOHOL 2353-2354      MARIJUAN 2355-2356
         CRACK 2357-2358       COCAINE 2359-2360           PCP 2361-2362
      HALLUCIN 2363-2364        HEROIN 2365-2366       ILLMETH 2367-2368
          NARC 2369-2370      METHAMPH 2371-2372       DOWNERS 2373-2374
       OTHDRUG 2375-2376       AGEFINH 2377-2378       AGEFALC 2379-2380
       AGEFMAR 2381-2382        AGFCRK 2383-2384       AGEFCOC 2385-2386
       AGEFPCP 2387-2388       AGEFHAL 2389-2390       AGEFHER 2391-2392
       AGEFMTH 2393-2394       AGEFNAR 2395-2396       AGEFAMP 2397-2398
       AGEFDWN 2399-2400       AGEFOTH 2401-2402        USBINH 2403-2404
        USBALC 2405-2406        USBMAR 2407-2408        USBCRK 2409-2410
        USBCOC 2411-2412        USBPCP 2413-2414        USBHAL 2415-2416
        USBHER 2417-2418        USBMTH 2419-2420        USBNAR 2421-2422
        USBAMP 2423-2424        USBDWN 2425-2426        USBOTH 2427-2428
       USBDINH 2429-2430       USBDALC 2431-2432       USBDMAR 2433-2434
       USBDCRK 2435-2436       USBDCOC 2437-2438       USBDPCP 2439-2440
       USBDHAL 2441-2442       USBDHER 2443-2444       USBDMTH 2445-2446
       USBDNAR 2447-2448       USBDAMP 2449-2450       USBDDWN 2451-2452
       USBDOTH 2453-2454        USAINH 2455-2456        USAALC 2457-2458
        USAMAR 2459-2460        USACRK 2461-2462        USACOC 2463-2464
        USAPCP 2465-2466        USAHAL 2467-2468        USAHER 2469-2470
        USAMTH 2471-2472        USANAR 2473-2474        USAAMP 2475-2476
        USADWN 2477-2478        USAOTH 2479-2480       USADINH 2481-2482
       USADALC 2483-2484       USADMAR 2485-2486       USADCRK 2487-2488
       USADCOC 2489-2490       USADPCP 2491-2492       USADHAL 2493-2494
       USADHER 2495-2496       USADMTH 2497-2498       USADNAR 2499-2500
       USADAMP 2501-2502       USADDWN 2503-2504       USADOTH 2505-2506
        USYINH 2507-2508        USYALC 2509-2510        USYMAR 2511-2512
        USYCRK 2513-2514        USYCOC 2515-2516        USYPCP 2517-2518
        USYHAL 2519-2520        USYHER 2521-2522        USYMTH 2523-2524
        USYNAR 2525-2526        USYAMP 2527-2528        USYDWN 2529-2530
        USYOTH 2531-2532       USYDINH 2533-2534       USYDALC 2535-2536
       USYDMAR 2537-2538       USYDCRK 2539-2540       USYDCOC 2541-2542
       USYDPCP 2543-2544       USYDHAL 2545-2546       USYDHER 2547-2548
       USYDMTH 2549-2550       USYDNAR 2551-2552       USYDAMP 2553-2554
       USYDDWN 2555-2556       USYDOTH 2557-2558        USNINH 2559-2560
        USNALC 2561-2562        USNMAR 2563-2564        USNCRK 2565-2566
        USNCOC 2567-2568        USNPCP 2569-2570        USNHAL 2571-2572
        USNHER 2573-2574        USNMTH 2575-2576        USNNAR 2577-2578
        USNAMP 2579-2580        USNDWN 2581-2582        USNOTH 2583-2584
       USNMINH 2585-2586       USNMALC 2587-2588       USNMMAR 2589-2590
       USNMCRK 2591-2592       USNMCOC 2593-2594       USNMPCP 2595-2596
       USNMHAL 2597-2598       USNMHER 2599-2600       USNMMTH 2601-2602
       USNMNAR 2603-2604       USNMAMP 2605-2606       USNMDWN 2607-2608
       USNMOTH 2609-2610        USMINH 2611-2612        USMALC 2613-2614
        USMMAR 2615-2616        USMCRK 2617-2618        USMCOC 2619-2620
        USMPCP 2621-2622        USMHAL 2623-2624        USMHER 2625-2626
        USMMTH 2627-2628        USMNAR 2629-2630        USMAMP 2631-2632
        USMDWN 2633-2634        USMOTH 2635-2636        USBSEC 2637-2638
        USASEC 2639-2640        USBANY 2641-2642        USAANY 2643-2644
        TRTYPE 2645-2646           LOS 2647-2650        LOSCAT 2651-2652
          RACE 2653-2654        DISAGE 2655-2656       DISAGE2 2657-2658
        PRETRT 2659-2660       COMPTRT 2661-2662        AFTTRT 2663-2664
       HELPTRT 2665-2666
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   CLIENTID  'CLIENT IDENTIFIER' /
   FAC_ID    'FACILITY IDENTIFIER' /
   MODE      'DOMINANT FACILITY MODALITY' /
   WT1       'WEIGHT 1, DECEASED AS RESP' /
   WT2       'WEIGHT 2, DECEASED AS NON-RESP' /
   WT3       'WEIGHT 3, DECEASED AS INELIGIBLE' /
   A1        'A1  SEX OF RESPONDENT' /
   A3        'A3  AGE OF R FROM QUEX' /
   A4        'A4  R HAVE SPANISH BACKGROUND' /
   A4A_1     'MEXICAN/MEXICAN-AMERICAN/CHICANO' /
   A4A_2     'PUERTO RICAN' /
   A4A_3     'CUBAN' /
   A4A_4     'OTHER SPANISH OR HISPANIC (SPECIFY)' /
   A5        'A5  RACE OF RESPONDENT' /
   A6        'A6  R HAVE DIPLOMA OR GED' /
   A7        'A7  R''S HIGHEST GRADE' /
   A8        'A8  R ATTEND OTHER CLASSES' /
   A8A_1     'TECHNICAL SCHOOL' /
   A8A_2     'BUSINESS SCHOOL' /
   A8A_3     'APPRENTICESHIP PROGRAM' /
   A8A_4     'OTHER SCHOOLS/CLASSES/PROGRAM (SPEC' /
   A9        'A9  R EVER EXPELLED' /
   A9A       'A9A  R EXPELLED MORE THAN ONCE' /
   A10       'A10  R''S ABILITY TO READ ENGLISH' /
   A11       'A11  R EVER BELONG TO GANG' /
   B1        'B1  TREATMENT PRGRAM DATES CORRECT' /
   B2        'R GET TREATMENT BETWEEN 1989 AND 19' /
   B2B       'B2B  R EVER RECEIVE TREATMENT' /
   B4        'B4  CONFIRM START AND END DATE' /
   B5        'B5  R ATTEND AFTERCARE PROGRAM' /
   B5A       'B5A  AFTERCARE INVOLVE MORE THAN ME' /
   B6_1      'INHALANTS' /
   B6_2      'ALCOHOL' /
   B6_3      'MARIJUANA/HASHISH' /
   B6_4      'CRACK' /
   B6_5      'COCAINE POWDER' /
   B6_6      'PCP OR ''ANGEL DUST''' /
   B6_7      'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B6_8      'HEROIN' /
   B6_9      'ILLEGAL METHADONE' /
   B6_10     'OTHER NARCOTICS' /
   B6_11     'METHAMPHETAMINES' /
   B6_12     'DOWNERS' /
   B6_13     'OTHER DRUG (SPECIFY)' /
   B6_14     'NO DRUGS/ALCOHOL' /
   B7_1      'INPATIENT' /
   B7_2      'RESIDENTIAL' /
   B7_3      'OUTPATIENT (NON-METHADONE)' /
   B7_4      'METHADONE' /
   B7_5      'SOMETHING ELSE (SPECIFY)' /
   B8A       'B8A  IMPORTANCE OF WIFE/PARTNER IN' /
   B8B       'B8B  IMPORTANCE OF FAMILY IN GETTIN' /
   B8C       'B8C  IMPORTANCE OF FRIEND/ASSOCIATE' /
   B8D       'B8D  IMPORTANCE OF NURSE, DOCTOR IN' /
   B8E       'B8E  IMPORTANCE OF PROBATION OFFICE' /
   B8F       'B8F  IMPORTANCE OF TEACHER/COUNSELO' /
   B8G       'B8G  IMPORTANCE OF ANY ONE ELSE IN' /
   B9A       'B9A  FEEL PRESSURED BY JUDGE, PAROL' /
   B9B       'B9B  ANY PROBLEMS WITH HEALTH' /
   B9C       'B9C  FEEL PRESSURE FROM RELATIONSHI' /
   B9D       'B9D  FEELING PRESSURED BY EMPLOYER' /
   B9E       'B9E  ANY FINANCIAL PROBLEMS THEN' /
   B9F       'B9F  ANY OTHER REASONS (SPECIFY)' /
   B10       'B10  DID R COMPLETE PROGRAM' /
   B11       'B11  AGREE WITH COUNSELOR' /
   B11A      'B11A  DID COUNSELOR UNDERSTAND PRPO' /
   B12       'B12  R USE DRUGS/ALCOHOL WHILE IN P' /
   B12A_1    'INHALANTS' /
   B12A_2    'ALCOHOL' /
   B12A_3    'MARIJUANA/HASHISH' /
   B12A_4    'CRACK' /
   B12A_5    'COCAINE POWDER' /
   B12A_6    'PCP OR ''ANGEL DUST''' /
   B12A_7    'HALLUCINOGEN, PSYCHEDELICS/LSD' /
   B12A_8    'HEROIN' /
   B12A_9    'ILLEGAL METHADONE' /
   B12A_10   'OTHER NARCOTICS' /
   B12A_11   'METHAMPHETAMINES' /
   B12A_12   'DOWNERS' /
   B12A_13   'OTHER DRUG (SPECIFY)' /
   B12B      'B12B  GET HIGH FIVE TIMES OR MORE I' /
   B12C      'B12C  # DAYS/MONTH DRUGS WERE USED' /
   B13       'B13  R HAVE PHYSICAL EXAM' /
   B14       'B14  R RECEIVE MEDICAL CARE IN  PRO' /
   B15       'B15  STATE OF HEALTH WHILE IN PROGR' /
   B16       'B16  ANY MEDICINES PRESCRIBED' /
   B16A      'B16A  IS THIS A METHADONE PROGRAM' /
   B16B      'B16B  AMOUNT OF METHADONE GIVEN' /
   B17       'B17  ANY OTHER MEDICINES PRESCRIBED' /
   B18       'B18  R ATTEND AA/NA/CA MEETINGS' /
   B18AA     'B18AA R ATTEND AA MEETINGS' /
   B18AB     'B18AB  R ATTEND NA MEETINGS' /
   B18AC     'B18AC  R ATTEND CA MEETINGS' /
   B19A      'B19A  DID TREATMENT HELP IMPROVE HE' /
   B19B      'B19B  TREATMENT HELP NERVES, EMOTIO' /
   B19C      'B19C  TREATMENT HELP JOB SKILLS' /
   B19D      'B19D  TREATMENT HELP WITH FINANCIAL' /
   B19E      'B19E  TREATMENT HELP GET ADDITIONAL' /
   B19F      'B19F  TREATMENT HELP WITH LEGAL PRO' /
   B19G      'B19G  TREATMENT IMPROVE FAMILY RELA' /
   B19H      'B19H  TREATMENT HELP WITH FUTURE PL' /
   B19I      'B19I  TREATMENT HELP ANYTHING ELSE' /
   B20       'B20  HOW HELPFUL WAS TREATMENT COUN' /
   BOX20A    'BOX 20A' /
   B21CODE   'B21CODE  # OF TIMES R ENROLLED' /
   B21BYR    'B21BY  YEAR R ENTERED PROGRAM' /
   B21C      'B21C  HOW HELPFUL WAS THE TREATMENT' /
   B21D      'B21D  DATE CHECK' /
   B21D2     'B21D2  R ATTEND ONLY ONE PROGRAM' /
   B21ECOD   'B21ECODE # OF TIMES R ENROLLED' /
   B21GY     'B21GY  YEAR R ENTERED PROGRAM' /
   B21H      'B21H  HOW HELPFUL WAS THE TREATMENT' /
   B22       'B22  YEARS ENROLLED IN THIS TREATME' /
   B23A      'B23A  INPATIENT PROGRAM' /
   B23B      'B23B  RESIDENTIAL PROGRAM' /
   B23C      'B23C  OUTPATIENT, NON-METHADONE PRO' /
   B23D      'B23D  METHADONE PROGRAM' /
   B23E      'B23E  SOMETHING ELSE (SPECIFY)' /
   B24A      'B24A  PROGRAM ARRANGE FOR MEDICAL C' /
   B24B      'B24B  PROGRAM ARRANGE FOR COUNSELIN' /
   B24C      'B24C  PROGRAM ARRANGE FOR CLASSES' /
   B25       'B25 HOW LONG DID R ATTEND AA/NA/CA' /
   B25AA     'B25AA  HOW OFTEN DID R ATTEND AA' /
   B25AB     'B25AB  HOW OFTEN DID R ATTEND NA' /
   B25AC     'B25AC  HOW OFTEN DID R ATTEND CA ME' /
   B26       'B26  R RECEIVE COUNSELING AFTER PRO' /
   B26A      'B26A  R RECEIVING COUNSELING NOW' /
   B27CODE   'B27CODE # OF TIMES R ENROLLED' /
   B29A      'B29A  TYPE OF TREATMENT OR HELP' /
   B29B      'B29B  LENGTH OF TREATMENT' /
   B29C_1    'INHALANTS' /
   B29C_2    'ALCOHOL' /
   B29C_3    'MARIJUANA/HASHISH' /
   B29C_4    'CRACK' /
   B29C_5    'COCAINE POWDER' /
   B29C_6    'PCP OR ''ANGEL DUST''' /
   B29C_7    'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B29C_8    'HEROIN' /
   B29C_9    'ILLEGAL METHADONE' /
   B29C_10   'OTHER NARCOTICS' /
   B29C_11   'METHAMPHETAMINES' /
   B29C_12   'DOWNERS' /
   B29C_13   'OTHER DRUG (SPECIFY)' /
   B29C_14   'NO DRUGS/ALCOHOL' /
   B30A      'B30A  TYPE OF TREATMENT OR HELP' /
   B30B      'B30B  LENGTH OF TREATMENT' /
   B30C_1    'INHALANTS' /
   B30C_2    'ALCOHOL' /
   B30C_3    'MARIJUANA/HASHISH' /
   B30C_4    'CRACK' /
   B30C_5    'COCAINE POWDER' /
   B30C_6    'PCP OR ''ANGEL DUST''' /
   B30C_7    'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B30C_8    'HEROIN' /
   B30C_9    'ILLEGAL METHADONE' /
   B30C_10   'OTHER NARCOTICS' /
   B30C_11   'METHAMPHETAMINES' /
   B30C_12   'DOWNERS' /
   B30C_13   'OTHER DRUG (SPECIFY)' /
   B30C_14   'NO DRUGS/ALCOHOL' /
   B31A      'B31A  TYPE OF TREATMENT OR HELP' /
   B31B      'B31B  LENGTH OF TREATMENT' /
   B31C_1    'INHALANTS' /
   B31C_2    'ALCOHOL' /
   B31C_3    'MARIJUANA/HASHISH' /
   B31C_4    'CRACK' /
   B31C_5    'COCAINE POWDER' /
   B31C_6    'PCP OR ''ANGEL DUST''' /
   B31C_7    'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B31C_8    'HEROIN' /
   B31C_9    'ILLEGAL METHADONE' /
   B31C_10   'OTHER NARCOTICS' /
   B31C_11   'METHAMPHETAMINES' /
   B31C_12   'DOWNERS' /
   B31C_13   'OTHER DRUG (SPECIFY)' /
   B31C_14   'NO DRUGS/ALCOHOL' /
   B32A      'B32A  TYPE OF TREATMENT OR HELP' /
   B32B      'B32B  LENGTH OF TREATMENT' /
   B32C_1    'INHALANTS' /
   B32C_2    'ALCOHOL' /
   B32C_3    'MARIJUANA/HASHISH' /
   B32C_4    'CRACK' /
   B32C_5    'COCAINE POWDER' /
   B32C_6    'PCP OR ''ANGEL DUST''' /
   B32C_7    'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B32C_8    'HEROIN' /
   B32C_9    'ILLEGAL METHADONE' /
   B32C_10   'OTHER NARCOTICS' /
   B32C_11   'METHAMPHETAMINES' /
   B32C_12   'DOWNERS' /
   B32C_13   'OTHER DRUG (SPECIFY)' /
   B32C_14   'NO DRUGS/ALCOHOL' /
   B33A      'B33A  TYPE OF TREATMENT OR HELP' /
   B33B      'B33B  LENGTH OF TREATMENT' /
   B33C_1    'INHALANTS' /
   B33C_2    'ALCOHOL' /
   B33C_3    'MARIJUANA/HASHISH' /
   B33C_4    'CRACK' /
   B33C_5    'COCAINE POWDER' /
   B33C_6    'PCP OR ''ANGEL DUST''' /
   B33C_7    'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B33C_8    'HEROIN' /
   B33C_9    'ILLEGAL METHADONE' /
   B33C_10   'OTHER NARCOTICS' /
   B33C_11   'METHAMPHETAMINES' /
   B33C_12   'DOWNERS' /
   B33C_13   'OTHER DRUG (SPECIFY)' /
   B33C_14   'NO DRUGS/ALCOHOL' /
   B34A      'B34A  TREATMENT FACILITIES PROVIDE' /
   B34B      'B34B  TREATMENT FACILITIES PROVIDE' /
   B34C      'B34C  TREATMENT FACILITIES PROVIDE' /
   B35       'B35  TIME R ATTENDED AA/NA/CA' /
   B35AA     'B35AA  HOW OFTEN R ATTENDED AA MEET' /
   B35AB     'B35AB  HOW OFTEN R ATTENDED NA MEET' /
   B35AC     'B35AC  HOW OFTEN R ATTENDED CA MEET' /
   B36       'B36  PROGRAM THE ONLY TIME R IN TRE' /
   B41_1     'INHALANTS' /
   B41_2     'ALCOHOL' /
   B41_3     'MARIJUANA/HASHISH' /
   B41_4     'CRACK' /
   B41_5     'COCAINE POWDER' /
   B41_6     'PCP OR ''ANGEL DUST''' /
   B41_7     'HALLUCINOGENS, PSYCHEDELICS/LSD' /
   B41_8     'HEROIN' /
   B41_9     'ILLEGAL METHADONE' /
   B41_10    'OTHER NARCOTICS' /
   B41_11    'METHAMPHETAMINES' /
   B41_12    'DOWNERS' /
   B41_13    'OTHER DRUG (SPECIFY)' /
   B42       'B42  DID R COMPLETE PROGRAM FROM B3' /
   B43       'B43  ANY MEDICINES PRESCRIBED' /
   B44       'B44  WAS THIS A METHADONE PROGRAM' /
   B44A      'B44A  METHDAONE DOSE CONCENTRATION' /
   B45       'B45  OTHER PRESCRIPTION MEDICINE TA' /
   B46       'B46  PERIOD R ATTENDED AA/NA/CA' /
   B46AA     'B46AA  HOW OFTEN R ATTENDED AA' /
   B46AB     'B46AB  HOW OFTEN R ATTENDED NA' /
   B46AC     'B46AC HOW OFTEN R ATTENDED CA' /
   B47A      'B47A  TREATMENT IMPROVE HEALTH' /
   B47B      'B47B  TREATMENT HELP WITH NERVES/EM' /
   B47C      'B47C  TREATMENT HELP WITH JOB SKILL' /
   B47D      'B47D  TREATMENT HELP WITH FINANCIAL' /
   B47E      'B47E  TREATMENT HELP GET ADDITIONAL' /
   B47F      'B47F  TREATMENT HELP WITH LEGAL PRO' /
   B47G      'B47G  TREATMENT HELP IMPROVE FAMILY' /
   B47H      'B47H  TREATMENT HELP WITH FUTURE PL' /
   B47I      'B47I  TREATMENT HELP ANYTHING ELSE' /
   B48       'B48  EFFECT OF TREATMENT OR COUNSEL' /
   C1AINHAL  'INHALANTS' /
   C1AALCOH  'ALCOHOL' /
   C1AMARIJ  'MARIJUANA/HASHISH' /
   C1ACRACK  'CRACK' /
   C1ACOCAI  'COCAINE POWDER' /
   C1APCP    'PCP/ANGEL DUST' /
   C1AHALLU  'HALLUCINOGENS/PSYCHEDELICS/LSD' /
   C1AHEROI  'HEROIN' /
   C1AMTHDO  'ILLEGAL METHADONE' /
   C1AONARC  'OTHER NARCOTICS' /
   C1AMETHA  'METHAMPHETAMINES' /
   C1ADOWNR  'DOWNERS' /
   C1AODRUG  'OTHER DRUG (SPECIFY)' /
   C2INHAL   'C2INHAL  AGE FIRST USE INHALANTS' /
   C3INHAL   'C3INHAL  USE INHALANTS BEFORE START' /
   C3AINHAL  'C3AINHAL  DAYS/MONTH DRUG USED BEFO' /
   C4INHAL   'C4INHAL  USE INHALANT AFTER END DAT' /
   C5INHAL   'C5INHAL  DAYS/MONTH DRUG USED AFTER' /
   C6INHAL   'C6INHAL  USE DRUG IN LAST YEAR' /
   C7INHAL   'C7INHAL DAYS/MONTH USED INHALANTS' /
   C8INHAL   'C8INHAL  R NOT USE DRUGS IN PAST YE' /
   C8AINHAL  'C8AINHAL  # OF MONTHS R DID NOT USE' /
   C9INHAL   'C9INHAL  USED INHALANTS LAST 30 DAY' /
   C2ALCOH   'C2ALCOH  AGE FIRST USE ALCOHOL' /
   C3ALCOH   'C3ALCOH  USE ALCOHOL BEFORE START D' /
   C3AALCOH  'C3AALCOH  DAYS/MONTH DRUG USED BEFO' /
   C4ALCOH   'C4ALCOH  USE ALCOHOL AFTER END DATE' /
   C5ALCOH   'C5ALCOH  DAYS/MONTH DRUG USED AFTER' /
   C6ALCOH   'C6ALCOH  USE DRUG IN LAST YEAR' /
   C7ALCOH   'C7ALCOH DAYS/MONTH USED ALCOHOL' /
   C8ALCOH   'C8ALCOH  R NOT USE DRUGS IN PAST YE' /
   C8AALCOH  'C8AALCOH  # OF MONTHS R DID NOT USE' /
   C9ALCOH   'C9ALCOH  USED ALCOHOL LAST 30 DAYS' /
   C2MARIJ   'C2MARIJ  AGE FIRST USED MARIJUANA' /
   C3MARIJ   'C3MARIJ  USE MARIJUANA BEFORE START' /
   C3AMARIJ  'C3AMARIJ  DAYS/MONTH DRUG USED BEFO' /
   C4MARIJ   'C4MARIJ  USE MARIJUANA AFTER END DA' /
   C5MARIJ   'C5MARIJ  DAYS/MONTH DRUG USED AFTER' /
   C6MARIJ   'C6MARIJ  USE DRUG IN LAST YEAR' /
   C7MARIJ   'C7MARIJ DAYS/MONTH USED MARIJUANA' /
   C8MARIJ   'C8MARIJ  R NOT USE DRUGS IN PAST YE' /
   C8AMARIJ  'C8AMARIJ  # OF MONTHS R DID NOT USE' /
   C9MARIJ   'C9MARIJ  USED MARIJUANA LAST 30 DAY' /
   C2CRACK   'C2CRACK  AGE FIRST USED CRACK' /
   C3CRACK   'C3CRACK  USE CRACK BEFORE START DAT' /
   C3ACRACK  'C3ACRACK  DAYS/MONTH DRUG USED BEFO' /
   C4CRACK   'C4CRACK  USE CRACK AFTER END DATE' /
   C5CRACK   'C5CRACK  DAYS/MONTH DRUG USED AFTER' /
   C6CRACK   'C6CRACK  USE DRUG IN LAST YEAR' /
   C7CRACK   'C7CRACK DAYS/MONTH USED CRACK' /
   C8CRACK   'C8CRACK  R NOT USE DRUGS IN PAST YE' /
   C8ACRACK  'C8ACRACK  # OF MONTHS R DID NOT USE' /
   C9CRACK   'C9CRACK  USED CRACK LAST 30 DAYS' /
   C2COCAI   'C2COCAI  AGE FIRST USED COCAINE' /
   C3COCAI   'C3COCAI  USE COCAINE BEFORE START D' /
   C3ACOCAI  'C3ACOCAI  DAYS/MONTH DRUG USED BEFO' /
   C4COCAI   'C4COCAI  USE COCAINE AFTER END DATE' /
   C5COCAI   'C5COCAI  DAYS/MONTH DRUG USED AFTER' /
   C6COCAI   'C6COCAI  USE DRUG IN LAST YEAR' /
   C7COCAI   'C7COCAI  DAYS/MONTH USED COCAINE' /
   C8COCAI   'C8COCAI  R NOT USE DRUGS IN PAST YE' /
   C8ACOCAI  'C8ACOCAI  # OF MONTHS R DID NOT USE' /
   C9COCAI   'C9COCAI  USED COCAINE 30 DAYS' /
   C2PCP     'C2APCP  AGE FIRST USED PCP/ANGEL D' /
   C3PCP     'C3PCP  USE PCP/ANGEL DUST BEFORE' /
   C3APCP    'C3APCP  DAYS/MONTH DRUG USED BEFO' /
   C4PCP     'C4PCP  USE PCP/ANGEL DUST AFTER E' /
   C5PCP     'C5PCP  DAYS/MONTH DRUG USED AFTER' /
   C6PCP     'C6PCP  USE DRUG IN LAST YEAR' /
   C7PCP     'C7PCP DAYS/MONTH USED PCP' /
   C8PCP     'C8PCP  R NOT USE DRUGS IN PAST YE' /
   C8APCP    'C8APCP  # OF MONTHS R DID NOT USE' /
   C9PCP     'C9PCP  USED PCP/ANGEL DUST LAST 30' /
   C2HALLU   'C2HALLU  AGE FIRST USED LSD' /
   C3HALLU   'C3HALLU  USE LSD BEFORE START DATE' /
   C3AHALLU  'C3AHALLU  DAYS/MONTH DRUG USED BEFO' /
   C4HALLU   'C4HALLU  USE LSD AFTER END DATE' /
   C5HALLU   'C5HALLU  DAYS/MONTH DRUG USED AFTER' /
   C6HALLU   'C6HALLU  USE DRUG IN LAST YEAR' /
   C7HALLU   'C7HALLU  DAYS/MONTH USED LSD' /
   C8HALLU   'C8HALLU  R NOT USE DRUGS IN PAST YE' /
   C8AHALLU  'C8AHALLU  # OF MONTHS R DID NOT USE' /
   C9HALLU   'C9HALLU  USED LSD LAST 30 DAYS' /
   C2HEROI   'C2HEROI  AGE FIRST USED HEROIN' /
   C3HEROI   'C3HEROI  USE HEROIN BEFORE START DA' /
   C3AHEROI  'C3AHEROI  DAYS/MONTH DRUG USED BEFO' /
   C4HEROI   'C4HEROI  USE HEROIN AFTER END DATE' /
   C5HEROI   'C5HEROI  DAYS/MONTH DRUG USED AFTER' /
   C6HEROI   'C6HEROI  USE DRUG IN LAST YEAR' /
   C7HEROI   'C7HEROI  DAYS/MONTH USED HEROIN' /
   C8HEROI   'C8HEROI  R NOT USE DRUGS IN PAST YE' /
   C8AHEROI  'C8AHEROI  # OF MONTHS R DID NOT USE' /
   C9HEROI   'C9HEROI  USED HEROIN LAST 30 DAYS' /
   C2MTHDO   'C2MTHDO  AGE FIRST USED METHADONE' /
   C3MTHDO   'C3MTHDO  USE METHADONE BEFORE START' /
   C3AMTHDO  'C3AMTHDO  DAYS/MONTH DRUG USED BEFO' /
   C4MTHDO   'C4MTHDO  USE METHADONE AFTER END DA' /
   C5MTHDO   'C5MTHDO  DAYS/MONTH DRUG USED AFTER' /
   C6MTHDO   'C6MTHDO  USE DRUG IN LAST YEAR' /
   C7MTHDO   'C7MTHDO  DAYS/MONTH USED METHADONE' /
   C8MTHDO   'C8MTHDO  R NOT USE DRUGS IN PAST YE' /
   C8AMTHDO  'C8AMTHDO  # OF MONTHS R DID NOT USE' /
   C9MTHDO   'C9MTHDO  USED METHADONE LAST 30 DAY' /
   C2ONARC   'C2ONARC  AGE FIRST USED OTHER NARCO' /
   C3ONARC   'C3ONARC  USE OTHER NARCOTICS BEFORE' /
   C3AONARC  'C3AONARC  DAYS/MONTH DRUG USED BEFO' /
   C4ONARC   'C4ONARC  USE OTHER NARCOTICS AFTER' /
   C5ONARC   'C5ONARC  DAYS/MONTH DRUG USED AFTER' /
   C6ONARC   'C6ONARC  USE DRUG IN LAST YEAR' /
   C7ONARC   'C7ONARC  DAYS/MONTH USED NARCOTICS' /
   C8ONARC   'C8ONARC  R NOT USE DRUGS IN PAST YE' /
   C8AONARC  'C8AONARC  # OF MONTHS R DID NOT USE' /
   C9ONARC   'C9ONARC  USED OTHER NARCOTICS LAST' /
   C2METHA   'C2METHA  AGE FIRST USED METHAMPHETA' /
   C3METHA   'C3METHA  USE METHAMPHETAMINES BEFOR' /
   C3AMETHA  'C3AMETHA  DAYS/MONTH DRUG USED BEFO' /
   C4METHA   'C4METHA  USE METHAMPHETAMINES AFTER' /
   C5METHA   'C5METHA  DAYS/MONTH DRUG USED AFTER' /
   C6METHA   'C6METHA  USE DRUG IN LAST YEAR' /
   C7METHA   'C7METHA  DAYS/MON USED METHAMPHETA' /
   C8METHA   'C8METHA  R NOT USE DRUGS IN PAST YE' /
   C8AMETHA  'C8AMETHA  # OF MONTHS R DID NOT USE' /
   C9METHA   'C9METHA  USED METHAMPHETAMINES LAST' /
   C2DOWNR   'C2DOWNR  AGE FIRST USED DOWNERS' /
   C3DOWNR   'C3DOWNR  USE DOWNERS BEFORE START D' /
   C3ADOWNR  'C3ADOWNR  DAYS/MONTH DRUG USED BEFO' /
   C4DOWNR   'C4DOWNR  USE DOWNERS AFTER END DATE' /
   C5DOWNR   'C5DOWNR  DAYS/MONTH DRUG USED AFTER' /
   C6DOWNR   'C6DOWNR  USE DRUG IN LAST YEAR' /
   C7DOWNR   'C7DOWNR  DAYS/MONTH USED DOWNERS' /
   C8DOWNR   'C8DOWNR  R NOT USE DRUGS IN PAST YE' /
   C8ADOWNR  'C8ADOWNR  # OF MONTHS R DID NOT USE' /
   C9DOWNR   'C9DOWNR  USED OTHER DRUG LAST 30 DA' /
   C2ODRUG   'C2ODRUG  AGE FIRST USED OTHER DRUG' /
   C3ODRUG   'C3ODRUG  USE OTHER DRUG BEFORE STAR' /
   C3AODRUG  'C3AODRUG  DAYS/MONTH DRUG USED BEFO' /
   C4ODRUG   'C4ODRUG  USE OTHER DRUG AFTER END D' /
   C5ODRUG   'C5ODRUG  DAYS/MONTH DRUG USED AFTER' /
   C6ODRUG   'C6ODRUG  USE DRUG IN LAST YEAR' /
   C7ODRUG   'C7ODRUG  DAYS/MONTH USED OTH DRUG' /
   C8ODRUG   'C8ODRUG  R NOT USE DRUGS IN PAST YE' /
   C8AODRUG  'C8AODRUG  # OF MONTHS R DID NOT USE' /
   C9ODRUG   'C9ODRUG  USED OTHER DRUG LAST 30 DA' /
   C10       'C10  ALCOHOL CODED ''1'' (YES) FOR MA' /
   C11       'C11  USED ALCOHOL 5 TIMES OR MORE I' /
   C12_1     'C12_1  R DRINK ANY BEER/MALT LIQUOR' /
   C13_1     'C13_1  AMOUNT OF BEER/MALT LIQUOR' /
   C13_1A    'C13_1A  CONTAINER OF BEER/MALT LIQU' /
   C12_2     'C12_2  R DRINK ANY WINE/WINE COOLER' /
   C13_2     'C13_2  AMOUNT OF WINE/WINE COOLERS' /
   C13_2A    'C13_2A  CONTAINER OF WINE/WINE COOL' /
   C12_3     'C12_3  R DRINK ANY LIQUOR' /
   C13_3     'C13_3  AMOUNT OF LIQUOR' /
   C13_3A    'C13_3A  SIZE OF LIQUOR' /
   C15INHA   'INHALANT USE NOT IN Q.5' /
   C15ALCO   'ALCOHOL USE NOT IN Q.5' /
   C15MARI   'MARIJUANA/HASHISH USE NOT IN Q.5' /
   C15CRCK   'CRACK USE NOT IN Q.5' /
   C15COCA   'COCAINE USE NOT IN Q.5.' /
   C15PCP    'PCP/ANGEL DUST USE NOT IN Q.5' /
   C15HALU   'PSYCHEDELIC/LSD USE NOT IN Q.5' /
   C15HERO   'HEROIN USE NOT IN Q.5' /
   C15MTDO   'METHADONE USE NOT IN Q.5' /
   C15ONRC   'OTHER NARCOTICS USE NOT IN Q.5' /
   C15METH   'METHAMPHETAMINE USE NOT IN Q.5' /
   C15DOWN   'DOWNER USE NOT IN Q.5' /
   C15OTHR   'OTHER DRUG USE NOT IN Q.5' /
   C16INHA   'C16INHA  EVER USED DRUG FIVE TIMES' /
   C17INHA   'C17INHA  AGE FIRST USED INHALANTS' /
   C18INHA   'C18INHA  USE INHALANTS BEFORE STAR' /
   C18AINHA  'C18AINHA  DAYS/MONTH DRUG USED BEFO' /
   C19INHA   'C19INHA  USE INHALANT AFTER END DA' /
   C19AINHA  'C19AINHA  DAYS/MONTH DRUG USED AFTE' /
   C20INHA   'C20INHA  USE DRUG IN LAST YEAR' /
   C20AINHA  'C20AINHA DAYS/MONTH R USED INHALANT' /
   C21INHA   'C21INHA  USED INHALANTS LAST 30 DAY' /
   C16ALCO   'C16ALCO  EVER USED DRUG FIVE TIMES' /
   C17ALCO   'C17ALCO  AGE FIRST USED ALCOHOL' /
   C18ALCO   'C18ALCO  USE ALCOHOL BEFORE START' /
   C18AALCO  'C18AALCO  DAYS/MONTH DRUG USED BEFO' /
   C19ALCO   'C19ALCO  USE ALCOHOL END DATE' /
   C19AALCO  'C19AALCO  DAYS/MONTH DRUG USED AFTE' /
   C20ALCO   'C20ALCO  USE DRUG IN LAST YEAR' /
   C20AALCO  'C20AALCO DAYS/MONTH R USED ALCOHOL' /
   C21ALCO   'C21ALCO  USED ALCOHOL LAST 30 DAYS' /
   C16MARI   'C16MARI  EVER USED DRUG FIVE TIMES' /
   C17MARI   'C17MARI  AGE FIRST USED MARIJUANA' /
   C18MARI   'C18MARI  USE MARIJUANA BEFORE STAR' /
   C18AMARI  'C18AMARI  DAYS/MONTH DRUG USED BEFO' /
   C19MARI   'C19MARI  USE MARIJUANA AFTER END D' /
   C19AMARI  'C19AMARI  DAYS/MONTH DRUG USED AFTE' /
   C20MARI   'C20MARI  USE DRUG IN LAST YEAR' /
   C20AMARI  'C20AMARI DAYS/MONTH R USED MARIJUAN' /
   C21MARI   'C21MARI  USED MARIJUANA LAST 30 DAY' /
   C16CRCK   'C16CRCK  EVER USED DRUG FIVE TIMES' /
   C17CRCK   'C17CRCK  AGE FIRST USED CRACK' /
   C18CRCK   'C18CRCK  USE CRACK BEFORE START DA' /
   C18ACRCK  'C18ACRCK  DAYS/MONTH DRUG USED BEFO' /
   C19CRCK   'C19CRCK  USE CRACK AFTER END DATE' /
   C19ACRCK  'C19ACRCK  DAYS/MONTH DRUG USED AFTE' /
   C20CRCK   'C20CRCK  USE DRUG IN LAST YEAR' /
   C20ACRCK  'C20ACRCK DAYS/MONTH R USED CRACK' /
   C21CRCK   'C21CRCK  USED CRACK LAST 30 DAYS' /
   C16COCA   'C16COCA  EVER USED DRUG FIVE TIMES' /
   C17COCA   'C17COCA  AGE FIRST USED COCAINE' /
   C18COCA   'C18COCA  USE COCAINE BEFORE START' /
   C18ACOCA  'C18ACOCA  DAYS/MONTH DRUG USED BEFO' /
   C19COCA   'C19COCA  USE COCAINE AFTER END DAT' /
   C19ACOCA  'C19ACOCA  DAYS/MONTH DRUG USED AFTE' /
   C20COCA   'C20COCA  USE DRUG IN LAST YEAR' /
   C20ACOCA  'C20ACOCA DAYS/MONTH R USED COCAINE' /
   C21COCA   'C21COCA  USED COCAINE LAST 30 DAYS' /
   C16PCP    'C16PCP  EVER USED DRUG FIVE TIMES' /
   C17PCP    'C17PCP  AGE FIRST USED PCP/ANGEL' /
   C18PCP    'C18PCP  USE PCP/ANGEL DUST BEFORE' /
   C18APCP   'C18APCP  DAYS/MONTH DRUG USED BEFO' /
   C19PCP    'C19PCP  USE PCP AFTER END DATE' /
   C19APCP   'C19APCP  DAYS/MONTH DRUG USED AFTE' /
   C20PCP    'C20PCP  USE DRUG IN LAST YEAR' /
   C20APCP   'C20APCP DAYS/MONTH R USED PCP/ANGE' /
   C21PCP    'C21PCP  USED PCP/ANGEL DUST LAST 3' /
   C16HALU   'C16HALU  EVER USED DRUG FIVE TIMES' /
   C17HALU   'C17HALU  AGE FIRST USED PSYCHEDELI' /
   C18HALU   'C18HALU  USE PSYCHEDELICS/LSD BEFO' /
   C18AHALU  'C18AHALU  DAYS/MONTH DRUG USED BEFO' /
   C19HALU   'C19HALU  USE LSD AFTER END DATE' /
   C19AHALU  'C19AHALU  DAYS/MONTH DRUG USED AFTE' /
   C20HALU   'C20HALU  USE DRUG IN LAST YEAR' /
   C20AHALU  'C20AHALU DAYS/MONTH R USED PSYCHEDE' /
   C21HALU   'C21HALU  USED PSYCHEDELICS/LSD LAST' /
   C16HERO   'C16HERO  EVER USED DRUG FIVE TIMES' /
   C17HERO   'C17HERO  AGE FIRST USED HEROIN' /
   C18HERO   'C18HERO  USE HEROIN BEFORE START D' /
   C18AHERO  'C18AHERO  DAYS/MONTH DRUG USED BEFO' /
   C19HERO   'C19HERO  USE HEROIN AFTER END DATE' /
   C19AHERO  'C19AHERO  DAYS/MONTH DRUG USED AFTE' /
   C20HERO   'C20HERO  USE DRUG IN LAST YEAR' /
   C20AHERO  'C20AHERO DAYS/MONTH R USED HEROIN' /
   C21HERO   'C21HERO  USED HEROIN LAST 30 DAYS' /
   C16MTDO   'C16MTDO  EVER USED DRUG FIVE TIMES' /
   C17MTDO   'C17MTDO  AGE FIRST USED METHADONE' /
   C18MTDO   'C18MTDO  USE ILLEGAL METHADONE BEF' /
   C18AMTDO  'C18AMTDO  DAYS/MONTH DRUG USED BEFO' /
   C19MTDO   'C19MTDO  USE ILLEGAL METHADONE AFT' /
   C19AMTDO  'C19AMTDO  DAYS/MONTH DRUG USED AFTE' /
   C20MTDO   'C20MTDO  USE DRUG IN LAST YEAR' /
   C20AMTDO  'C20AMTDO DAYS/MONTH R USED ILLEGAL' /
   C21MTDO   'C21ME30  USED METHAMPH LAST 30 DAY' /
   C16ONRC   'C16ONRC   EVER USED DRUG FIVE TIMES' /
   C17ONRC   'C17ONRC  AGE FIRST USED OTHER NARC' /
   C18ONRC   'C18ONRC  USE OTHER NARCOTICS BEFOR' /
   C18AONRC  'C18AONDA  DAYS/MONTH DRUG USED BEFO' /
   C19ONRC   'C19ONDAY  USE OTHER NARCOTICS AFTER' /
   C19AONRC  'C19AONRC  DAYS/MONTH DRUG USED AFTE' /
   C20ONRC   'C20ONRC  USE DRUG IN LAST YEAR' /
   C20AONRC  'C20AONRC DAYS/MONTH R USED OTHER NA' /
   C21ONRC   'C21ONRC  USED OTHER NARCOTICS LAST' /
   C16METH   'C16METH  EVER USED DRUG FIVE TIMES' /
   C17METH   'C17METH  AGE FIRST USED METHAMPHET' /
   C18METH   'C18METH  USE METHAMPHETAMINES BEFO' /
   C18AMETH  'C18AMETH  DAYS/MONTH DRUG USED BEFO' /
   C19METH   'C19METH  USE METHAMPHETAMINES AFTE' /
   C19AMETH  'C19AMETH  DAYS/MONTH DRUG USED AFTE' /
   C20METH   'C20METH  USE DRUG IN LAST YEAR' /
   C20AMETH  'C20AMETH DAYS/MONTH R USED METHAMPH' /
   C21METH   'C21ME30  USED METHAMPHETAMINE LAST' /
   C16DOWN   'C16DOWN  EVER USED DRUG FIVE TIMES' /
   C17DOWN   'C17DOWN  AGE FIRST USED DOWNERS' /
   C18DOWN   'C18DOWN  USE DOWNERS BEFORE START' /
   C18ADOWN  'C18ADOWN  DAYS/MONTH DRUG USED BEFO' /
   C19DOWN   'C19DOWN  USE DOWNERS AFTER END DAT' /
   C19ADOWN  'C19ADOWN  DAYS/MONTH DRUG USED AFTE' /
   C20DOWN   'C20DOWN  USE DRUG IN LAST YEAR' /
   C20ADOWN  'C20ADOWN DAYS/MONTH R USED DOWNERS' /
   C21DOWN   'C21DOWN  USED DOWNERS LAST 30 DAYS' /
   C16OTHR   'C16OTHR  EVER USED DRUG FIVE TIMES' /
   C17OTHR   'C17OTHR  AGE FIRST USED OTHER DRUG' /
   C18OTHR   'C18OTHR  USE OTHER DRUG BEFORE STA' /
   C18AOTHR  'C18AOTHR  DAYS/MONTH DRUG USED BEFO' /
   C19OTHR   'C19OTHR  USE OTHER DRUG AFTER END' /
   C19AOTHR  'C19AOTHR  DAYS/MONTH DRUG USED AFTE' /
   C20OTHR   'C20OTHR  USE DRUG IN LAST YEAR' /
   C20AOTHR  'C20AOTHR DAYS/MONTH R USED OTHER DR' /
   C21OTHR   'C21OTHR  USE OTHER DRUG LAST 30 DAY' /
   C22       'SEE C16.  IS ALCOHOL CODED ''1'' (YES' /
   C23       'HAS R USED ALCOHOL IN LAST 30 DAYS' /
   C24_1     'C24_1  R DRINK ANY BEER/MALT LIQUOR' /
   C25_1     'C25_1  AMOUNT OF BEER/MALT LIQUOR' /
   C25_1A    'C25_1A  CONTAINER OF BEER/MALT LIQU' /
   C24_2     'C24_2  R DRINK ANY WINE/WINE COOLER' /
   C25_2     'C25_2  AMOUNT OF WINE/WINE COOLERS' /
   C25_2A    'C25_2A  CONTAINER OF WINE/WINE COOL' /
   C24_3     'C24_3  R DRINK ANY LIQUOR' /
   C25_3     'C25_3  AMOUNT OF LIQUOR' /
   C25_3A    'C25_3A  SIZE OF LIQUOR' /
   C27       'C27  R EVER INJECT DRUGS WITH NEEDL' /
   C27A      'C27A  AGE WHEN NEEDLE FIRST USED' /
   C27B      'C27B  # TIMES R USED NEEDLE BEFORE' /
   C28       'C28  # TIMES NEEDLE USED WHILE IN P' /
   C28A      'C28A  DAYS PER MONTH R INJECTED DRU' /
   C28B      'C28B  ATTEND SAFE NEEDLE CLASSES/CO' /
   C28CA     'C28CA  COUNSELING AFFECT USING A NE' /
   C28CB     'C28CB  COUNSELING AFFECT SHARING NE' /
   C28CC     'C28CC  COUNSELING AFFECT SHARING NE' /
   C29       'C29  # TIMES INJECTED DRUGS SINCE P' /
   C29A      'C29A  USED NEEDLE IN PAST YEAR' /
   D1        'D1  R EVER BEEN ARRESTED' /
   D1A       'D1A  R''S AGE AT FIRST ARREST' /
   D2        'D2  # OF ARRESTS BEFORE PROGRAM' /
   D3        'D3  # OF ARRESTS 5 YEARS BEFORE PRO' /
   D4        'D4  R SUPPORT SELF B ILLEGAL ACTIVI' /
   D5        'D5  R IN JAIL OR ON PROBATION MORE' /
   D6A       'D6A  # OF YEARS R SPENT IN CORRECTO' /
   D6B       'D6B  R IN PRISON BEFORE PROGRAM' /
   D6C       'D6C  R IN JUVENILE DETENTION BEFORE' /
   D6D       'D6D  R IN TASC OR COURT DIVERSION P' /
   D6E       'D6E  R SENTENCED TO PROBATION BEFOR' /
   D6F       'D6F  R ON PAROLE BEFORE PROGRAM' /
   D6G       'D6G  R UNDER OTHER SUPERVISION' /
   D7        'D7  R IN JAIL OR ON PROBATION MORE' /
   D7AA      'D7AA  R IN JAIL FOR MORE THAN ONE D' /
   D7BA      'D7BA  # YEARS SPENT IN JAIL' /
   D7AB      'D7AB  R IN PRISON AT ANY TIME' /
   D7BB      'D7BB  # YEARS SPENT IN PRISON' /
   D7AC      'D7AC  R IN JUVENILE DETENTION' /
   D7BC      'D7BC  # YEARS SPENT IN JUVENILE DET' /
   D7AD      'D7AD  R IN TASC OR COURT DIVERSION' /
   D7BD      'D7BD  # YEARS SPENT IN TASC/COURT D' /
   D7AE      'D7AE  R SENTENCED TO PROBATION' /
   D7BE      'D7BE  # YEARS SPENT ON PROBATION' /
   D7AF      'D7AF  R ON PAROLE' /
   D7BF      'D7BF  # YEARS SPENT ON PROBATION' /
   D7AG      'D7AG  R ON ANY OTHER COURT SUPERVIS' /
   D7BG      'D7BG  # YEARS SPENT ON OTHER COURT' /
   D8        'D8  R ARRESTED WHILE R WAS IN PROGR' /
   D9        'D9  # OF TIMES R ARRESTED WHILE IN' /
   D9A_1     'POSSESSION OF DRUGS/DRUG PARAPHERNA' /
   D9A_2     'DRUG SALE OR TRAFFICKING' /
   D9A_3     'DRIVING WHILE INTOXICATED (DWI)/(DU' /
   D9A_4     'FRAUD OR FORGERY' /
   D9A_5     'BURGLARY' /
   D9A_6     'OTHER KINDS OF THEFT' /
   D9A_7     'DISORDERLY CONDUCT, FIGHTING OR VAN' /
   D9A_8     'A VIOLENT OFFENSE' /
   D9A_9     'PROSTITUTION OR PROCUREMENT' /
   D9A_10    'VIOLATION OF PAROLE/PROBATION' /
   D9A_11    'OTHER DRUG OFFENSES' /
   D9A_12    'OTHER PUBLIC ORDER OFFENSE' /
   D9A_13    'OTHER PROPERTY OFFENSE' /
   D9A_14    'OTHER VIOLENT OFFENSE' /
   D9A_15    'CANNOT CODE CHARGE' /
   D10       'D10  R''S ILLEGAL ACTIVITIES WHILE IN' /
   D10A      'D10A  INVOLVEMENT IN ILLEGAL ACTIVI' /
   D11       'D11  R IN JAIL OR ON PROBATION WHIL' /
   D12A      'D12A  R IN JAIL FOR MORE THAN ONE D' /
   D13A      'D13A  NUMBER' /
   D13ANUM   'D13ANUM  UNIT OF TIME' /
   D12B      'D12B  R IN PRISON AT ANY TIME' /
   D13B      'D13B  NUMBER' /
   D13BNUM   'D13BNUM  UNIT OF TIME' /
   D12C      'D12C  R IN JUVENILE DETENTION' /
   D13C      'D13C  NUMBER' /
   D13CNUM   'D13CNUM  UNIT OF TIME' /
   D12D      'D12D  R IN TASC/COURT DIVERSION PRO' /
   D13D      'D13D  NUMBER' /
   D13DNUM   'D13DNUM  UNIT OF TIME' /
   D12E      'D12E  R SENTENCED TO PROBATION' /
   D13E      'D13E  NUMBER' /
   D13ENUM   'D13ENUM  UNIT OF TIME' /
   D12F      'D12F  R ON PAROLE' /
   D13F      'D13F  NUMBER' /
   D13FNUM   'D13FNUM  UNIT OF TIME' /
   D12G      'D12G  R ON OTHER SUPERVISION' /
   D13G      'D13G  NUMBER' /
   D13GNUM   'D13GNUM  UNIT OF TIME' /
   D14       'D14  R ARRESTED AFTER LEAVING PROGR' /
   D14A      'D14A  # OF TIMES R WAS ARRESTED' /
   D15       'D15  R DO ILLEGAL ACTIVITIES SINCE' /
   D15A      'D15A  R DO ILLEGAL ACTIVITIES IN LA' /
   D15B      'D15B  MONTHS R SUPPORTED W/ILLEGAL' /
   D16A      'D16A  R IN JAIL FOR MORE THAN ONE D' /
   D17A      'D17A  # YEARS SPENT IN JAIL' /
   D16B      'D16B  R IN PRISON AT ANY TIME' /
   D17B      'D17B  # YEARS SPENT IN PRISON' /
   D16C      'D16C  R IN JUVENILE DETENTION' /
   D17C      'D17C  # YEARS SPENT IN JUVENILE DET' /
   D16D      'D16D  R IN TASC OR COURT DIVERSION' /
   D17D      'D17D  # YEARS SPENT IN TASC/COURT D' /
   D16E      'D16E  R SENTENCED TO PROBATION' /
   D17E      'D17E  # YEARS SPENT ON PROBATION' /
   D16F      'D16F  R ON PAROLE' /
   D17F      'D17F  # YEARS SPENT ON PROBATION' /
   D16G      'D16G  R ON ANY OTHER COURT SUPERVIS' /
   D17G      'D17G  # YEARS SPENT ON OTHER COURT' /
   D18       'D18  MORE THAN ONE STATUS CODED' /
   D19       'D19  YEARS SPENT IN ALL CATEGORIES' /
   D20       'D20  R EVER STOLEN A MOTOR VEHICLE' /
   D20A      'D20A  R STEAL VEHICLE 5 YEARS BEFOR' /
   D20B      'D20B  R ARRESTED FOR STEALING VEHIC' /
   D20C      'D20C  R EVER STEAL VEHICLE WHILE IN' /
   D20D      'D20D  R ARRESTED FOR STEALING VEHIC' /
   D20E      'D20E  R STEAL VEHICLE AFTER LEAVING' /
   D20F      'D20F  R ARRESTED FOR VEHICLE THEFT' /
   D21       'D21  R EVER DRIVEN WHILE INTOXICATE' /
   D21A      'D21A  R DRIVE WHILE INTOXICATED BEF' /
   D21B      'D21B  R ARRESTED FOR DWI BEFORE PRO' /
   D21C      'D21C  R DRIVE INTOXICATED WHILE IN' /
   D21D      'D21D  R ARRESTED FOR DUI WHILE IN P' /
   D21E      'D21E  R DRIVEN INTOXICATED SINCE LE' /
   D21F      'D21F  R ARRESTED FOR DUI SINCE LEAV' /
   D22       'D22  R EVER DRIVEN WHILE UNDER THE' /
   D22A      'D22A  R DUI 5 YEARS BEFORE PROGRAM' /
   D22B      'D22B  R ARRESTED FOR DUI 5 YEARS BE' /
   D22C      'D22C  R EVER DUI WHILE ATTENDING PR' /
   D22D      'D22D  R ARRESTED FOR DUI WHILE IN P' /
   D22E      'D22E  R EVER DUI AFTER PROGRAM' /
   D22F      'D22F  R ARRESTED FOR DUI SINCE END' /
   D23       'D23  R COMMIT PUBLIC ORDER OFFENSES' /
   D23A      'D23A  COMMIT OFFENSE BEFORE PROGRAM' /
   D23B      'D23B   ARRESTED FOR OFFENSE BEFORE' /
   D23C      'D23C  COMMIT OFFENSE ATTENDING PROG' /
   D23D      'D23D  ARRESTED FOR OFFENSE IN PROGR' /
   D23E      'D23E  COMMIT OFFENSE AFTER PROGRAM' /
   D23F      'D23F  ARRESTED FOR OFFENSE AFTER PR' /
   D24       'D24  R EVER SELL OR HELP SELL DRUGS' /
   D24A      'D24A  SELL DRUGS BEFORE PROGRAM' /
   D24B      'D24B  ARRESTED FOR SELLING BEFORE P' /
   D24C      'D24C  SELL DRUGS WHILE IN PROGRAM' /
   D24D      'D24D  ARRESTED FOR SELLING IN PROGR' /
   D24E      'D24E  SELL DRUGS AFTER PROGRAM' /
   D24F      'D24F  ARRESTED FOR SELLING AFTER PR' /
   D25       'D25  INVOLVED IN PROSTITUTION/PROCU' /
   D25A      'D25A  PROSTITUTION/PROCUREMENT BEFO' /
   D25B      'D25B  ARRESTED BEFORE PROGRAM' /
   D25C      'D25C  PROSTITUTION/PROCUREMENT IN P' /
   D25D      'D25D  ARRESTED WHILE IN PROGRAM' /
   D25E      'D25E  PROSTITUTION/PROCUREMENT AFTE' /
   D25F      'D25F  ARESSTED AFTER PROGRAM' /
   D26       'D26  R TAKE PART IN FRAUD OR FORGER' /
   D26A      'D26A  FRAUD OR FORGERY BEFORE PROGR' /
   D26B      'D26B  ARRESTED FOR FRAUD/FORGERY BE' /
   D26C      'D26C  FRAUD OR FORGERY WHILE IN PRO' /
   D26D      'D26D  ARRESTED WHILE IN PROGRAM' /
   D26E      'D26E  FRAUD OR FORGERY AFTER PROGRA' /
   D26F      'D26F  ARRESTED AFTER PROGRAM' /
   D27       'D27  R INVOLVED IN SHOPLIFTING OR L' /
   D27A      'D27A  LARCENY BEFORE PROGRAM' /
   D27B      'D27B  ARRESTED FOR LARCENY BEFORE P' /
   D27C      'D27C  LARCENY WHILE IN PROGRAM' /
   D27D      'D27D  ARREST FOR LARCENY IN PROGRAM' /
   D27E      'D27E  LARCENY AFTER PROGRAM' /
   D27F      'D27F  ARREST FOR LARCENY AFTER PROG' /
   D28       'D28  R EVER COMMIT BREAKING AND ENT' /
   D28A      'D28A  BREAKING AND ENTERING BEFORE' /
   D28B      'D28B  ARREST FOR B & E BEFORE PROGR' /
   D28C      'D28C  BREAKING AND ENTERING IN PROG' /
   D28D      'D28D  ARREST FOR B & E WHILE IN PRO' /
   D28E      'D28E  BREAKING AND ENTERING AFTER P' /
   D28F      'D28F  ARREST FOR B & E AFTER PROGRA' /
   D29       'D29  R EVER DO STRONGARM/ARMED ROBB' /
   D29A      'D29A  STRONGARM/ARMED ROBBERY BEFOR' /
   D29B      'D29B  ARREST BEFORE PROGRAM' /
   D29C      'D29C  STRONGARM/ARMED ROBBERY IN PR' /
   D29D      'D29D  ARREST FOR ROBBERY IN PROGRAM' /
   D29E      'D29E  STRONGARM/ARMED ROBBERY AFTER' /
   D29F      'D29F  ARRREST FOR ROBBERY AFTER PRO' /
   D30       'D30  R EVER COMMIT ARSON' /
   D30A      'D30A  COMMIT ARSON BEFORE PROGRAM' /
   D30B      'D30B  ARRESTED FOR ARSON BEFORE PRO' /
   D30C      'D30C  COMMIT ARSON DURING PROGRAM' /
   D30D      'D30D  ARRESTED FOR ARSON DURING PRO' /
   D30E      'D30E  COMMIT ARSON AFTER PROGRAM' /
   D30F      'D30F  ARRESTED FOR ARSON AFTER PROG' /
   D31       'D31  R EVER THREATEN/ATTACK ATTACK' /
   D31A      'D31A  THREATEN/ATTACK BEFORE PROGRA' /
   D31B      'D31B  ARREST FOR ATTACK BEFORE PROG' /
   D31C      'D31C  ATTACK/THREATEN DURING PROGRA' /
   D31D      'D31D  ARREST FOR ATTACK DURING PROG' /
   D31E      'D31E  ATTACK/THREATEN AFTER PROGRAM' /
   D31F      'D31F  ARREST FOR ATTACK AFTER PROGR' /
   D32       'D32  R EVER FORCE SEX' /
   D32A      'D32A  USE FORCE FOR SEX BEFORE PROG' /
   D32B      'D32B  ARREST FOR FORCED SEX BEFORE' /
   D32C      'D32C  USE FORCE FOR SEX DURING PROG' /
   D32D      'D32D  ARREST FOR FORCED SEX DURING' /
   D32E      'D32E  USE FORCE FOR SEX ATER PROGRA' /
   D32F      'D32F  ARREST FOR FORCED SEX AFTER P' /
   D33       'D33  R EVER KILL SOMEONE NOT BY ACC' /
   D33A      'D33A  COMMIT HOMICIDE BEFORE PROGRA' /
   D33B      'D33B  ARRESTED FOR HOMICIDE BEFORE' /
   D33C      'D33C  COMMIT HOMICIDE DURING PROGRA' /
   D33D      'D33D  ARRESTED FOR HOMICIDE DURING' /
   D33E      'D33E  COMMIT HOMICIDE AFTER PROGRAM' /
   D33F      'D33F  ARRESTED FOR HOMICIDE AFTER P' /
   D34       'D34  R EVER VIOLATE PAROLE' /
   D34A      'D34A  VIOLATE PAROLE BEFORE PROGRAM' /
   D34B      'D34B  ARREST FOR VIOLATION BEFORE P' /
   D34C      'D34C  VIOLATE PAROLE DURING PROGRAM' /
   D34D      'D34D  ARREST FOR VIOLATION DURING P' /
   D34E      'D34E  VIOLATE PAROLE AFTER PROGRAM' /
   D34F      'D34F  ARREST FOR VIOLATION AFTER PR' /
   D35       'D35  R BREAK ANY OTHER LAWS' /
   D35A      'D35A  BREAK OTHER LAWS BEFORE PROGR' /
   D35B      'D35AVRB  ARREST BEFORE PROGRAM' /
   D35C      'D35C  LAW BROKEN DURING PROGRAM' /
   D35D      'D35D  ARREST DURING PROGRAM' /
   D35E      'D35E  LAWS BROKEN AFTER PROGRAM' /
   D35F      'D35F  ARREST AFTER PROGRAM' /
   D36       'D36  R UNDER SUPERVISION NOW' /
   D36AA     'D36AA  R ON PROBATION' /
   D36AB     'D36AB  R ON PAROLE OF CONDITIONAL R' /
   D36AC     'D38AC  R HAVE OUTSTANDING WARRANTS' /
   D35AD     'D38AD  R UNDER OTHER SUPERVISION' /
   E1        'E1  R CURRENTLY MARRIED' /
   E1A       'E1A  R EVER BEEN MARRIED' /
   E2        'E2  R EVER LIVED WITH SOMEONE' /
   E3        'E3  # OF INDIVIDUALS R LIVED WITH O' /
   E4MONTH   'E4MONTH' /
   E4YEAR    'E4YEAR' /
   E5        'E5  IS YEAR RECORDED BEFORE START D' /
   E6        'E6 # YRS R LIVED WITH PARTNERS' /
   E7        'AUTOMATIC SKIP' /
   E8A       'E8A R MARRIED WHEN FIRST ENTERING P' /
   E8B       'E8B R HAVE PARTNER WHEN FIRST ENTER' /
   E9        'E9  TIME R SPENT W/PARTNER AFTER PR' /
   E10       'E10  TIME R WAS MARRIED OR LIVED W/' /
   F1        'F1  NATURAL MOTHER BORN IN THE U.S.' /
   F2        'F2  NATURAL FATHER BORN IN THE U.S.' /
   F3        'F3  R CURRENTLY LIVING WITH PARENTS' /
   F3A       'F3A  AGE R LAST LIVED WITH MOTHER' /
   F3B       'F3B  AGE R LAST LIVED WITH FATHER' /
   F4        'AUTOMATIC SKIP' /
   F5        'F5  HIGHEST GRADE OF SCHOOL FOR FAT' /
   F5A       'F5A  FATHER HAVE HIGH SCHOOL DIPLOM' /
   F6        'F6  HIGHEST GRADE OF SCHOOL FOR MOT' /
   F6A       'F6A  MOTHER HAVE HIGH SCHOOL DIPLOM' /
   F7        'F7  COURTS ARRANGE FOR R TO LIVE SE' /
   F8        'F8  R RUN AWAY FROM HOME BEFORE AGE' /
   F8A       'F8A  # OF TIMES R RAN AWAY' /
   F9        'F9  R EVER ASKED TO LEAVE BY PARENT' /
   F10       'F10  NUMBER OF NATURAL CHILDREN' /
   F10A      'F10A  R EVER HAD CUSTODY OF ANY CHI' /
   F11       'F11  R HAVE CUSTODY OF CHILDREN BEF' /
   F11A      'F11A  # CHILDREN UNDER 18 R RAISED' /
   F12       'F12  R HAVE CUSTODY OF CHILDREN AFT' /
   F12A      'F12A  # CHILDREN UNDER 18 R HAS RAI' /
   F13       'F13  R EVER LOSE CUSTODY OF CHILDRE' /
   F13A      'F13A  R LOSE CUSTODY BEFORE PROGRAM' /
   F13B      'F13B  R GET CUSTODY BACK' /
   F13C      'F13C  R LOSE CUSTODY WHILE IN PROGR' /
   F13D      'F13D  R GET CUSTODY BACK' /
   F13E      'F13E  R LOSE CUSTODY AFTER PROGRAM' /
   F13F      'F13F  R GET CUSTODY BACK AFTER THIS' /
   F14       'F14  R HAVE ANY CHILDREN 18 OR OLDE' /
   F14A      'F14A  # OF CHILDREN OVER 18 R HAS L' /
   F15       'F15  R EVER HOMELESS BEFORE PROGRAM' /
   F15A      'F15A  R STAY IN SHELTERS OR ON STRE' /
   F15B      'F15B  TIME R SPENT IN SHELTERS' /
   F15C      'F15C  TIME R SPENT ON THE STREET' /
   F16       'F16  R LIVE IN AN APARTMENT SINCE P' /
   F16A      'F16A  TIME R SPENT IN ALL APARTMENT' /
   F17       'F17  R EVER HOMELESS AFTER PROGRAM' /
   F17A      'F17A  R STAY IN SHELTERS OR ON STRE' /
   F17B      'F17B  TIME R SPENT IN A SHELTER' /
   F17C      'F17C  TIME R SPENT ON THE STREET' /
   F19       'F19  R ATTEND ANY TYPE SCHOOL' /
   F19A_1    'ELEMENTARY SCHOOL' /
   F19A_2    'HIGH SCHOOL' /
   F19A_3    'GED/EQUIVALENCY PROGRAM' /
   F19A_4    'JUNIOR COLLEGE' /
   F19A_5    'COLLEGE' /
   F19A_6    'GRADUATE/PROFESSIONAL SCHOOL' /
   F19A_7    'TECHNICAL SCHOOL' /
   F19A_8    'BUSINESS SCHOOL' /
   F19A_9    'APPRENTICESHIP PROGRAM' /
   F19A_10   'OTHER SCHOOLS/CLASSES/PROGRAM (SPEC' /
   F19B_0    'NONE' /
   F19B_1    '1ST GRADE' /
   F19B_2    '2ND GRADE' /
   F19B_3    '3RD GRADE' /
   F19B_4    '4TH GRADE' /
   F19B_5    '5TH GRADE' /
   F19B_6    '6TH GRADE' /
   F19B_7    '7TH GRADE' /
   F19B_8    '8TH GRADE' /
   F19B_9    '9TH GRADE' /
   F19B_10   '10TH GRADE' /
   F19B_11   '11TH GRADE' /
   F19B_12   '12TH GRADE' /
   F19B_13   '1 YEAR COLLEGE' /
   F19B_14   '2 YEARS COLLEGE' /
   F19B_15   '3 YEARS COLLEGE' /
   F19B_16   '4 YEARS COLLEGE' /
   F19B_17   'GRADUATE/PROFESSIONAL SCHOOL' /
   F19C      'F19C  R RECEIVED DIPLOMA/GED SINCE' /
   G1        'G1  EVER FELT SAD AT LEAST TWO WEEK' /
   G2        'G2  R HAVE SAD PERIOD BEFORE PROGRA' /
   G3        'G3  AGE WHEN R FIRST FELT DEPRESSED' /
   G3A       'G3A  WAS DEPRESSION THE RESULT OF D' /
   G3B       'G3B  ALL/SOME/NONE OF DEPRESSION DU' /
   G4        'G4  R HAVE SAD PERIOD AFTER PROGRAM' /
   G5        'G5  ALL/SOME/NONE OF THESE TIMES DU' /
   G6        'G6  ALL/SOME/NONE OF THESE TIMES DU' /
   G7        'G7  R DEPRESSED FOR TWO WEEKS IN TH' /
   G8        'G8  ALL/SOME/NONE OF THESE TIMES DU' /
   G9        'G9  ALL/SOME/NONE OF THESE TIMES DU' /
   G10       'G10  R EVER ATTEMPT SUICIDE' /
   G11       'G11  R ATTEMPT SUICIDE BEFORE PROGR' /
   G12       'G12  # OF TIMES R ATTEMPTED SUICIDE' /
   G13       'G13  ATTEMPTS THE RESULTS OF ALCOHO' /
   G14       'G14  R ATTEMPT SUICIDE AFTER PROGRA' /
   G15       'G15  # OF TIMES R ATTEMPTED SUICIDE' /
   G16       'G16  ANY ATTEMPTS DUE TO ALCOHOL US' /
   G17       'G17  ANY ATTEMPTS DUE TO DRUG USE' /
   G18       'G18  ANY ATTEMPTS IN THE LAST YEAR' /
   G19       'G19  R HAVE TROUBLE CONTROLLING TEM' /
   G20       'G20  R HAVE TROUBLE WITH TEMPER BEF' /
   G20A      'G20A  TEMPER TROUBLES DUE TO ALCOHO' /
   G20B      'G20B  ALL/SOME/NONE OF TROUBLE DUE' /
   G21       'G21  R HAVE TROUBLE WITH TEMPER AFT' /
   G22       'G22  ALL/SOME/NONE OF THESE TIMES D' /
   G23       'G23  ALL/SOME/NONE OF THESE TIMES D' /
   G24       'G24  R HAVE TROUBLE WITH TEMPER IN' /
   G25       'G25  ALL/SOME/NONE OF THESE TIMES D' /
   G26       'G26  ALL/SOME/NONE OF THESE TIMES D' /
   G27       'G27  R HAVE HALLUCINATIONS OR DELUS' /
   G28       'G28  R HAVE HALLUCINATIONS BEFORE P' /
   G28A      'G28A  ANY HALLUCINATIONS DUE TO ALC' /
   G28B      'G28B  ALL/SOME/NONE OF THESE TIMES' /
   G29       'G29  R HAVE HALLUCINATIONS/DELUSION' /
   G30       'G30  HALLUCINATIONS/DELUSIONS DUE T' /
   G31       'G31  HALLUCINATIONS/DELUSIONS DUE T' /
   G32       'G32  HALLUCINATIONS/DELUSIONS IN TH' /
   G33       'G33  HALLUCINATIONS/DELUSIONS DUE T' /
   G34       'G34  HALLUCINATIONS/DELUSIONS DUE T' /
   G35       'G35  R EVER SEEK HELP FOR EMOTIONAL' /
   G36       'G36  R SEEK HELP BEFORE PROGRAM' /
   G37       'G37  # OF TIMES R SOUGHT HELP' /
   G38       'G38  R SEEK HELP FOR PROBLEMS AFTER' /
   G39       'G39  # OF TIMES R SOUGHT HELP AFTER' /
   G40       'G40  R SEEK HELP IN LAST YEAR' /
   G41       'G41  # OF TIMES R SOUGHT HELP IN LA' /
   G42       'G42  R STAY OVERNIGHT IN HOSPITAL' /
   G43       'G43  R STAY OVERNIGHT IN HOSPITAL B' /
   G44       'G44  AGE OF R AT FIRST OVERNIGHT ST' /
   G45       'G45  # OF TIMES R STAYED OVERNIGHT' /
   G46       'G46  R STAYED IN HOSPITAL SINCE EN' /
   G47       'G47  # OF TIMES R STAYED IN HOSPIT' /
   G48       'G48  GENERAL HEALTH OF R' /
   G49       'G49  HEALTH OF R BEFORE PROGRAM' /
   G50       'G50  HEALTH OF R AFTER PROGRAM' /
   G51A      'G51A  TUBERCULOSIS' /
   G51B      'G51B  BREATHING CONDITIONS' /
   G51C      'G51C  HEART/BLOOD CONDITION' /
   G51D      'G51D  ANEMIA' /
   G51E      'G51E  HEPATITIS OR JAUNDICE' /
   G51F      'G51F  SERIOUS INTERNAL CONDITION' /
   G51G      'G51G  BONE OR MUSCLE CONDITIONS' /
   G51H      'G51H  CONVULSIONS, EPILEPSY, MIGRAI' /
   G51I      'G51I  STD OTHER THAN AIDS' /
   G51J      'G51J  CANCER' /
   G51K      'G51K  MISCARRIAGE, TOXEMIA, ABNORMA' /
   G51AA     'G51AA TUBERCULOSIS BEFORE' /
   G51BA     'G51BA  TUBERCULOSIS AFTER' /
   G51AB     'G51AB BREATHING CONDITION BEFORE' /
   G51BB     'G51BB  BREATHING CONDITION AFTER' /
   G51AC     'G51AC  BLOOD CONDITION BEFORE' /
   G51BC     'G51BC  BLOOD CONDITION AFTER' /
   G51AD     'G51AD  ANEMIA BEFORE' /
   G51BD     'G51BD  ANEMIA AFTER' /
   G51AE     'G51AE  HEPATITIS BEFORE' /
   G51BE     'G51BE  HEPATITIS AFTER' /
   G51AF     'G51AF  INTERNAL CONDITION BEFORE' /
   G51BF     'G51BF  INTERNAL CONDITION AFTER' /
   G51AG     'G51AG  BONE OR MUSCLE BEFORE' /
   G51BG     'G51BG  BONE OR MUSCLE AFTER' /
   G51AH     'G51AH  CONVULSIONS BEFORE' /
   G51BH     'G51BH  CONVULSIONS AFTER' /
   G51AI     'G51AI  STD OTHER THAN AIDS BEFORE' /
   G51BI     'G51BI  STD OTHER THAN AIDS AFTER' /
   G51AJ     'G51AJ  CANCER BEFORE' /
   G51BJ     'G51BJ  CANCER AFTER' /
   G51AK     'G51AK  FEMALE PROBLEMS BEFORE' /
   G51BK     'G51BK  FEMALE PROBLEMS AFTER' /
   G52       'G52  R EVER OVERDOSED ON ALCOHOL/DR' /
   G53       'G53  R OVERDOSE BEFORE PROGRAM' /
   G54       'G54  # OF TIMES R OVERDOSED' /
   G55       'G55  R GO TO EMERGENCY ROOM WHEN OV' /
   G56       'G56  # OF TIMES R WENT TO EMERGENCY' /
   G57       'G57  R OVERDOSED SINCE END OF PROGR' /
   G58       'G58  # OF TIMES R OVERDOSED' /
   G59       'G59  R GO TO EMERGENCY ROOM WHEN OV' /
   G60       'G60  # OF TIMES R WENT TO EMERGENCY' /
   G61       'G61  R GONE TO EMERGENCY ROOM FOR O' /
   G62       'G62  R GONE TO EMERGENCY ROOM BEFOR' /
   G63       'G63  # TIMES R WENT TO EMERGENCY RO' /
   G64       'G64  R GO TO EMERGENCY ROOM AFTER P' /
   G65       'G65  # TIMES R WENT TO EMERGENCY RO' /
   G66       'G66  EVER GONE TO HOSPITAL FOR DETO' /
   G67       'G67  R GO FOR DETOXING BEFORE PROGR' /
   G68       'G68  # OF TIMES R WENT FOR DETOXING' /
   G69       'G69  R GO FOR DETOXING AFTER PROGRA' /
   G70       'G70  # OF TIMES R WENT FOR DETOXING' /
   G71       'G71  OTHER TIMES R WENT TO HOSPITAL' /
   G72       'G72  R GO TO HOSPITAL BEFORE PROGRA' /
   G73       'G73  # OF TIMES R WENT TO THIS HOSP' /
   G74       'G74  R SPEND 24 HRS IN HOSPITAL AFT' /
   G75       'G75  # OF TIMES R SPENT 24 HRS IN H' /
   G76       'G76  # OF NIGHTS SPENT IN PAST YEAR' /
   G77       'G77  # OF TIMES R HAS SEEN PHYSICIA' /
   G78       'G78  # TIMES PHYSICIAN SEEN IN LAST' /
   G79       'G79  # SEX PARTNERS SINCE PROGRAM' /
   G80       'G80  # SEX PARTNERS IN PAST YEAR' /
   G81       'G81  HAD SEX FOR MONEY/DRUGS' /
   G82       'G82  EVER HAVE BLOOD TEST FOR AIDS' /
   G83       'G83  HAVE TEST FOR AIDS BEFORE PROG' /
   G84       'G84  R KNOW RESULTS OF LAST TEST' /
   G86       'G86  R TEST FOR AIDS WHILE IN PROGR' /
   G87       'G87  R KNOW RESULTS OF LAST TEST' /
   G88       'G88  R TEST FOR AIDS AFTER PROGRAM' /
   G89       'G89  R KNOW RESULTS OF LAST TEST' /
   G90       'G90  R EVER ATTACKED WITH A WEAPON' /
   G91       'G91  R ATTACKED BEFORE PROGRAM' /
   G92       'G92  R BEATEN BEFORE PROGRAM' /
   G93       'G93  # TIMES R BEATEN BEFORE PROGRA' /
   G95       'G95  R BEATEN WHILE IN PROGRAM' /
   G96       'G96  R HAVE TO SEE M.D. FOR BEATING' /
   G97       'G97  R BEATEN AFTER PROGRAM' /
   G98       'G98  R HAVE TO SEE M.D. FOR BEATING' /
   G99       'G99  # TIMES ATTACKED AFTER PROGRAM' /
   H1        'H1  R EVER EMPLOYED FULL-TIME' /
   H2        'H2  R EMPLOYED BEFORE ENTERING PROG' /
   H3        'H3  LONGEST R HAD FULL-TIME JOB' /
   H3BDOL    'H3BDOL  R''S SALARY - DOLLARS' /
   H3BRATE   'H3BRATE  R''S RATE OF PAY' /
   H4        'H4  # YEARS R WORKED BEFORE PROGRAM' /
   H4ADOL    'H4ADOL  R''S HIGHEST RATE OF PAY - D' /
   H4ARATE   'H4ARATE  R''S RATE OF PAY' /
   SAME1ST   'EMPLOYER AT H4B SAME AS H3A' /
   H6        'H6  R EMPLOYED FULL-TIME AFTER PROG' /
   H7        'H7 LONGEST R EMPLOYED AFTER PROGRAM' /
   SAME2ND   'EMPLOYER AT H7A SAME AS H4B' /
   H7BDOL    'H7BDOL  R''S SALARY - DOLLARS' /
   H7ARATE   'H7ARATE  R''S RATE OF PAY' /
   H8        'H8  # YEARS R WORKED FULL-TIME' /
   H8ADOL    'H8ADOL  R''S HIGHEST WAGE AFTER PROG' /
   H8ARATE   'H8ARATE  R''S RATE OF PAY' /
   SAME3RD   'EMPLOYER AT H8B SAME AS H7A' /
   H10       'H10  R EMPLOYED IN THE LAST YEAR' /
   H10A      'H10A  LONGEST FULL-TIME JOB IN LAST' /
   H10BDOL   'H10BDOL SALARY FOR LONGEST HELD JOB' /
   H10BRTE   'H10BRTE  R''S RATE OF PAY' /
   SAME4TH   'EMPLOYER AT H10C SAME AS H8B' /
   H11       'H11  R EVER EMPLOYED PART-TIME' /
   H12       'H12  R EMPLOYED PT BEFORE PROGRAM' /
   H13       'H13  R''S LONGEST PT JOB BEFORE PROG' /
   SAME5TH   'EMPLOYER AT H13A SAME AS H10C' /
   H13BDOL   'H13BDOL  R''S SALARY ON PT JOB' /
   H13BRTE   'H13BRTE  R''S RATE OF PAY' /
   H14       'H14  YEARS R WORKED PT BEFORE PROGR' /
   H14ADOL   'H14ADOL  R''S SALARY FOR PT JOB AFTE' /
   H14ARTE   'H14ARTE  R''S RATE OF PAY' /
   SAME6TH   'EMPLOYER AT H14B SAME AS H13A' /
   H15       'H15  R EMPLOYED PT AFTER PROGRAM' /
   SAME7TH   'EMPLOYER AT 15A SAME AS H14B' /
   H15B      'H15B  LONGEST PT JOB AFTER PROGRAM' /
   H15CDOL   'H15CDOL  R''S SALARY FOR PT JOB AFTE' /
   H15CRTE   'H15CRTE  R''S RATE OF PAY' /
   H17       'H17  R EMPLOYED PT IN LAST YEAR' /
   H17A      'H17A LENGTH OF PT JOB IN LAST YEAR' /
   H17BDOL   'H17BDOL  R''S SALARY FOR LONGEST PT' /
   H17BRTE   'H17BRTE  R''S RATE OF PAY' /
   SAME8TH   'EMPLOYER AT 17C SAME AS H15A' /
   H19       'H18/19  ANYONE HELP R W/BILLS DURIN' /
   H19A_1    'SPOUSE' /
   H19A_2    'PARTNER' /
   H19A_3    'PARENT' /
   H19A_4    'CHILD' /
   H19A_5    'GRANDPARENT' /
   H19A_6    'OTHER RELATIVE' /
   H19A_7    'FRIEND' /
   H19A_8    'OTHER SPECIFY' /
   H19B      'H19B  HELP RECEIVED PAY ALL EXPENSE' /
   H21A      'H21A  INCOME FROM WAGES OR SALARY' /
   H22A      'H22A  AMOUNT FROM WAGES OR SALARY' /
   H22ATIM   'H22ATIM  TIME FRAME FOR SALARY' /
   H21B      'H21B  INCOME FROM GENERAL ASSITANCE' /
   H22B      'H22B  AMOUNT FROM GENERAL ASSISTANC' /
   H22BTIM   'H22BTIM  TIME FRAME FOR GA OR RELI' /
   H21C      'H21C  INCOME FROM UNEMPLOYMENT COMP' /
   H22C      'H22C  AMOUNT FROM UNEMPLOYMENT COMP' /
   H22CTIM   'H22CTIM  TIME FRAME FOR UNEMPLOYME' /
   H21D      'H21D  INCOME FROM DISABLITY OR SSI' /
   H22D      'H22D  AMOUNT FROM DISABILITY OR SSI' /
   H22DTIM   'H22DTIM  TIME FRAME FOR DISABILITY' /
   H21E      'H21E  INCOME FROM SOCIAL SECURITY/P' /
   H22E      'H22E  AMOUNT FROM SOCIAL SECURITY/P' /
   H22ETIM   'H22ETIM  TIME FRAME FOR SOCIAL SEC' /
   H21F      'H21F  INCOME FROM ALIMONY/CHLD SUPP' /
   H22F      'H22F  AMOUNT FROM ALIMONY/CHLD SUPP' /
   H22FTIM   'H22FTIM  TIME FRAME ALIMONY/SUPPOR' /
   H21G      'H21G  INCOME FROM SPOUSE/PARTNER' /
   H22G      'H22G  AMOUNT FROM SPOUSE/PARTNER' /
   H22GTIM   'H22GTIM  TIME FRAME SPOUSE/PARTNER' /
   H21H      'H21H  INCOME FROM OTHER SOURCES' /
   H22H      'H22H  AMOUNT FROM OTHER SOURCES' /
   H22HTIM   'H22HTIM  TIME FRAME FOR OTH SOURCE' /
   PHONE1    'IS A PHONE PRESENT' /
   PHONE2    'IS A PHONE PRESENT' /
   PERSON2   'IS THERE A SECOND PERSON' /
   PHONE3    'IS A PHONE PRESENT' /
   ENDYEAR   'DATE END YEAR' /
   TOTTIME   'TOTAL INTERVIEW MINUTES' /
   BOXII     'BOXA FORM II' /
   BOXIII    'BOXA FORM III' /
   BOXIV     'BOXB FORM IV' /
   BOXRECPT  'BOXB FORM/RECEIPT' /
   I11A      'I11A  USED HEROIN PAST 7 DAYS' /
   I11AA     'I11AA  USE DRUG FOR MEDICAL REASONS' /
   I11AB     'I11AB  USED DRUG IN PAST 24 HOURS' /
   I11B      'I11B  USED COCAINE PAST 7 DAYS' /
   I11BA     'I11BA  USE DRUG FOR MEDICAL REASONS' /
   I11BB     'I11BB  USED DRUG IN PAST 24 HOURS' /
   I11C      'I11C  USED METHADONE PAST 7 DAYS' /
   I11CA     'I11CA  USE DRUG FOR MEDICAL REASONS' /
   I11CB     'I11CB  USED DRUG IN PAST 24 HOURS' /
   I11D      'I11D  USED AMPHETAMINES IN PAST 7 D' /
   I11DA     'I11DA  USE DRUG FOR MEDICAL REASONS' /
   I11DB     'I11DB  USED DRUG IN PAST 24 HOURS' /
   I11E      'I11E  USED BARBITUATES IN PAST 7 DA' /
   I11EA     'I11EA  USE DRUG FOR MEDICAL REASONS' /
   I11EB     'I11EB  USED DRUG N PAST 24 HOURS' /
   I11F      'I11F  USED ALCOHOL IN PAST 7 DAYS' /
   I11FA     'I11FA  USE DRUG FOR MEDICAL REASONS' /
   I11FB     'I11FB  USED DRUG N PAST 24 HOURS' /
   I11G      'I11G  USED OTHER DRUGS IN PAST 7 DA' /
   I11GA     'I11GA  USE DRUG FOR MEDICAL REASONS' /
   I11GB     'I11GB  USED DRUG N PAST 24 HOURS' /
   I11AC     'I11AC DRUG TEST RESULTS' /
   I11BC     'I11BC DRUG TEST RESULTS' /
   I11CC     'I11CC DRUG TEST RESULTS' /
   I11DC     'I11DC DRUG TEST RESULTS' /
   I11EC     'I11EC DRUG TEST RESULTS' /
   I11FC     'I11FC DRUG TEST RESULTS' /
   I11GC     'I11GC DRUG TEST RESULTS' /
   D6A_1     'D6A_1  # OF YEARS R SPENT IN CORREC' /
   INHAL     'USED INHALANTS AS MAIN DRUG' /
   ALCOHOL   'USED ALCOHOL AS MAIN DRUG' /
   MARIJUAN  'USED MARIJUANA AS MAIN DRUG' /
   CRACK     'USED CRACK AS MAIN DRUG' /
   COCAINE   'USED COCAINE AS MAIN DRUG' /
   PCP       'USED PCP AS MAIN DRUG' /
   HALLUCIN  'USED HALLUCINOGENS AS MAIN DRUG' /
   HEROIN    'USED HEROIN AS MAIN DRUG' /
   ILLMETH   'USED ILLEGAL METHADONE AS MAIN DRUG' /
   NARC      'USED OTHER NARCOTICS AS MAIN DRUG' /
   METHAMPH  'USED METHAMPHETAMINES AS MAIN DRUG' /
   DOWNERS   'USED DOWNERS AS MAIN DRUG' /
   OTHDRUG   'USED OTHER DRUG AS MAIN DRUG' /
   AGEFINH   'AGE FIRST USED INHALANTS' /
   AGEFALC   'AGE FIRST USED ALCOHOL' /
   AGEFMAR   'AGE FIRST USED MARIJUANA' /
   AGFCRK    'AGE FIRST USED CRACK' /
   AGEFCOC   'AGE FIRST USED COCAINE' /
   AGEFPCP   'AGE FIRST USED PCP' /
   AGEFHAL   'AGE FIRST USED HALLUCINOGENS' /
   AGEFHER   'AGE FIRST USED HEROIN' /
   AGEFMTH   'AGE FIRST USED ILLEGAL METHADONE' /
   AGEFNAR   'AGE FIRST USED OTHER NARCOTICS' /
   AGEFAMP   'AGE FIRST USED METHAMPHETAMINES' /
   AGEFDWN   'AGE FIRST USED DOWNERS' /
   AGEFOTH   'AGE FIRST USED OTHER DRUG' /
   USBINH    'USED INHALANTS AS MAIN DRG BEFORE TX' /
   USBALC    'USED ALCOHOL AS MAIN DRG BEFORE TX' /
   USBMAR    'USED MARIJUANA AS MAIN DRG BEFORE TX' /
   USBCRK    'USED CRACK AS MAIN DRG BEFORE TX' /
   USBCOC    'USED COCAINE AS MAIN DRG BEFORE TX' /
   USBPCP    'USED PCP AS MAIN DRG BEFORE TX' /
   USBHAL    'USED HALLUCINOGENS AS MAIN DRG BEFORE TX' /
   USBHER    'USED HEROIN AS MAIN DRG BEFORE TX' /
   USBMTH    'USED ILLEGAL METHADONE AS MAIN DRG BEFOR' /
   USBNAR    'USED OTHER NARCOTICS AS MAIN DRG BEFORE' /
   USBAMP    'USED METHAMPHETAMINES AS MAIN DRG BEFORE' /
   USBDWN    'USED DOWNERS AS MAIN DRG BEFORE TX' /
   USBOTH    'USED OTHER DRG BEFORE TX AS MAIN DRG BEF' /
   USBDINH   'NUMBER OF DAYS USED INHALANTS BEFORE TX' /
   USBDALC   'NUMBER OF DAYS USED ALCOHOL BEFORE TX' /
   USBDMAR   'NUMBER OF DAYS USED MARIJUANA BEFORE TX' /
   USBDCRK   'NUMBER OF DAYS USED CRACK BEFORE TX' /
   USBDCOC   'NUMBER OF DAYS USED COCAINE BEFORE TX' /
   USBDPCP   'NUMBER OF DAYS USED PCP BEFORE TX' /
   USBDHAL   'NUMBER OF DAYS USED HALLUCIN BEFORE TX' /
   USBDHER   'NUMBER OF DAYS USED HEROIN BEFORE TX' /
   USBDMTH   'NUMBER OF DAYS USED ILL METHAD BEFORE TX' /
   USBDNAR   'NUMBER OF DAYS USED OTH NARCOTIC BEFORE' /
   USBDAMP   'NUMBER OF DAYS USED METHAMPHET BEFORE TX' /
   USBDDWN   'NUMBER OF DAYS USED DOWNERS BEFORE TX' /
   USBDOTH   'NUMBER OF DAYS USED OTHER DRG BEFORE TX' /
   USAINH    'USED INHALANTS AS MAIN DRG AFTER TX' /
   USAALC    'USED ALCOHOL AS MAIN DRG AFTER TX' /
   USAMAR    'USED MARIJUANA AS MAIN DRG AFTER TX' /
   USACRK    'USED CRACK AS MAIN DRG AFTER TX' /
   USACOC    'USED COCAINE AS MAIN DRG AFTER TX' /
   USAPCP    'USED PCP AS MAIN DRG AFTER TX' /
   USAHAL    'USED HALLUCINOGENS AS MAIN DRG AFTER TX' /
   USAHER    'USED HEROIN AS MAIN DRG AFTER TX' /
   USAMTH    'USED ILLEGAL METHADONE AS MAIN DRG AFTER' /
   USANAR    'USED OTHER NARCOTICS AS MAIN DRG AFTER T' /
   USAAMP    'USED METHAMPHETAMINE AS MAIN DRG AFTER T' /
   USADWN    'USED DOWNERS AS MAIN DRG AFTER TX' /
   USAOTH    'USED OTHER DRUG AS MAIN DRG AFTER TX' /
   USADINH   'NUMBER OF DAYS USED INHALANTS AFTER TX' /
   USADALC   'NUMBER OF DAYS USED ALCOHOL AFTER TX' /
   USADMAR   'NUMBER OF DAYS USED MARIJUANA AFTER TX' /
   USADCRK   'NUMBER OF DAYS USED CRACK AFTER TX' /
   USADCOC   'NUMBER OF DAYS USED COCAINE AFTER TX' /
   USADPCP   'NUMBER OF DAYS USED PCP AFTER TX' /
   USADHAL   'NUMBER OF DAYS USED HALLUCIN AFTER TX' /
   USADHER   'NUMBER OF DAYS USED HEROIN AFTER TX' /
   USADMTH   'NUMBER OF DAYS USED ILL METHAD AFTER TX' /
   USADNAR   'NUMBER OF DAYS USED OTH NARCOTIC AFTER' /
   USADAMP   'NUMBER OF DAYS USED METHAMPHET AFTER TX' /
   USADDWN   'NUMBER OF DAYS USED DOWNERS AFTER TX' /
   USADOTH   'NUMBER OF DAYS USED OTHER DRG AFTER TX' /
   USYINH    'USED INHALANTS YR BEFORE INTERVIEW' /
   USYALC    'USED ALCOHOL YR BEFORE INTERVIEW' /
   USYMAR    'USED MARIJUANA YR BEFORE INTERVIEW' /
   USYCRK    'USED CRACK YR BEFORE INTERVIEW' /
   USYCOC    'USED COCAINE YR BEFORE INTERVIEW' /
   USYPCP    'USED PCP YR BEFORE INTERVIEW' /
   USYHAL    'USED HALLUCIN YR BEFORE INTERVIEW' /
   USYHER    'USED HEROIN YR BEFORE INTERVIEW' /
   USYMTH    'USED ILL METHAD YR BEFORE INTERVIEW' /
   USYNAR    'USED OTH NARCOTIC YR BEF INTERVIEW' /
   USYAMP    'USED METHAMPHET YR BEFORE INTERVIEW' /
   USYDWN    'USED DOWNERS YR BEFORE INTERVIEW' /
   USYOTH    'USED OTHER DRG YR BEFORE INTERVIEW' /
   USYDINH   '# OF DAYS USED INHALANTS YR BEFORE INT' /
   USYDALC   '# OF DAYS USED ALCOHOL YR BEFORE INT' /
   USYDMAR   '# OF DAYS USED MARIJUANA YR BEFORE INT' /
   USYDCRK   '# OF DAYS USED CRACK YR BEFORE INT' /
   USYDCOC   '# OF DAYS USED COCAINE YR BEFORE INT' /
   USYDPCP   '# OF DAYS USED PCP YR BEFORE INT' /
   USYDHAL   '# OF DAYS USED HALLUCIN YR BEFORE INT' /
   USYDHER   '# OF DAYS USED HEROIN YR BEFORE INT' /
   USYDMTH   '# OF DAYS USED ILL METHAD YR BEFORE INT' /
   USYDNAR   '# OF DAYS USED OTH NARCOTIC YR BEF INT' /
   USYDAMP   '# OF DAYS USED METHAMPHET YR BEFORE INT' /
   USYDDWN   '# OF DAYS USED DOWNERS YR BEFORE INT' /
   USYDOTH   '# OF DAYS USED OTHER DRG YR BEFORE INT' /
   USNINH    'ANY MONTHS NOT USED INHALANTS YR BEF INT' /
   USNALC    'ANY MONTHS NOT USED ALCOHOL YR BEF INT' /
   USNMAR    'ANY MONTHS NOT USED MARIJUANA YR BEF INT' /
   USNCRK    'ANY MONTHS NOT USED CRACK YR BEF INT' /
   USNCOC    'ANY MONTHS NOT USED COCAINE YR BEF INT' /
   USNPCP    'ANY MONTHS NOT USED PCP YR BEF INT' /
   USNHAL    'ANY MONTHS NOT USED HALLUCIN YR BEF INT' /
   USNHER    'ANY MONTHS NOT USED HEROIN YR BEF INT' /
   USNMTH    'ANY MONTHS NOT USED ILL METHD YR BEF INT' /
   USNNAR    'ANY MONTHS NOT USED OTH NARCOTC YR BEF I' /
   USNAMP    'ANY MONTHS NOT USED METHAMPHT YR BEF INT' /
   USNDWN    'ANY MONTHS NOT USED DOWNERS YR BEF INT' /
   USNOTH    'ANY MONTHS NOT USED OTHER DRG YR BEF INT' /
   USNMINH   '# MONTHS NOT USED INHALANTS YR BEF INT' /
   USNMALC   '# MONTHS NOT USED ALCOHOL YR BEF INT' /
   USNMMAR   '# MONTHS NOT USED MARIJUANA YR BEF INT' /
   USNMCRK   '# MONTHS NOT USED CRACK YR BEF INT' /
   USNMCOC   '# MONTHS NOT USED COCAINE YR BEF INT' /
   USNMPCP   '# MONTHS NOT USED PCP YR BEF INT' /
   USNMHAL   '# MONTHS NOT USED HALLUCIN YR BEF INT' /
   USNMHER   '# MONTHS NOT USED HEROIN YR BEF INT' /
   USNMMTH   '# MONTHS NOT USED ILL METHAD YR BEF INT' /
   USNMNAR   '# MONTHS NOT USED OTH NARCOTIC YR BEF I' /
   USNMAMP   '# MONTHS NOT USED METHAMPHET YR BEF INT' /
   USNMDWN   '# MONTHS NOT USED DOWNERS YR BEF INT' /
   USNMOTH   '# MONTHS NOT USED OTHER DRG YR BEF INT' /
   USMINH    '# OF DAYS USED INHALANTS MO BEFORE INT' /
   USMALC    '# OF DAYS USED ALCOHOL MO BEFORE INT' /
   USMMAR    '# OF DAYS USED MARIJUANA MO BEFORE INT' /
   USMCRK    '# OF DAYS USED CRACK MO BEFORE INT' /
   USMCOC    '# OF DAYS USED COCAINE MO BEFORE INT' /
   USMPCP    '# OF DAYS USED PCP MO BEFORE INT' /
   USMHAL    '# OF DAYS USED HALLUCIN MO BEFORE INT' /
   USMHER    '# OF DAYS USED HEROIN MO BEFORE INT' /
   USMMTH    '# OF DAYS USED ILL METHAD MO BEFORE INT' /
   USMNAR    '# OF DAYS USED OTH NARCOTIC MO BEF INT' /
   USMAMP    '# OF DAYS USED METHAMPHET MO BEFORE INT' /
   USMDWN    '# OF DAYS USED DOWNERS MO BEFORE INT' /
   USMOTH    '# OF DAYS USED OTHER DRG MO BEFORE INT' /
   USBSEC    'USED ANY LESS COMMON DRUG BEF TX' /
   USASEC    'USED ANY LESS COMMON DRUG AFT TX' /
   USBANY    'USED ANY ILLICIT DRUG (NOT ALC) BEF TX' /
   USAANY    'USED ANY ILLICIT DRUG (NOT ALC) AFT TX' /
   TRTYPE    'TYPE OF TREATMENT (REPORTED BY CLIENT)' /
   LOS       'LENGTH OF STAY IN TREATMENT (IN DAYS)' /
   LOSCAT    'LENGTH OF STAY IN TREATMENT (4 CATEGS)' /
   RACE      'RACE AND HISPANIC ORIGIN OF CLIENT' /
   DISAGE    'AGE AT TIME OF DISCHARGE (IN YEARS)' /
   DISAGE2   'AGE AT TIME OF DISCHARGE (4 CATEGS)' /
   PRETRT    '# OF PREVIOUS TREAT EPISODES (3 CATS)' /
   COMPTRT   'COMPLETED TREATMENT (YES/NO)' /
   AFTTRT    'ADDITIONAL TREAT AFTER TX (YES/NO)' /
   HELPTRT   'CLIENT THOUGHT TX HELPFUL (YES/NO)' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   MODE      -3 'MISSING' 1 'Inpatient' 2 'Residential'
             3 'Outpatient Methadone Maintenance' 4 'Outpatient Drug-Free' /
   A1        -3 'MISSING' 1 'Male' 2 'Female' /
   A3        -3 'MISSING' 57 '57-64' 65 '65-74' 75 '75+' /
   A4        -3 'MISSING' -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   A4A_1     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   A4A_2     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   A4A_3     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   A4A_4     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   A5        -3 'MISSING' 1 'White' 2 'Black or African American'
             3 'Asian or Pacific Islander'
             4 'Alaskan Native, Native American or Ameri' 5 'OTHER (SPECIFY)'
             /
   A6        -3 'MISSING' -2 'DON''T KNOW' 1 'Yes, diploma' 2 'Yes, GED'
             3 'No' 4 'NEVER ATTENDED SCHOOL' /
   A7        -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1st Grade' 2 '2nd Grade'
             3 '3rd Grade' 4 '4th Grade' 5 '5th Grade' 6 '6th Grade'
             7 '7th Grade' 8 '8th Grade' 9 '9th Grade' 10 '10th Grade'
             11 '11th Grade' 12 '12th Grade' 13 '1 Year College'
             14 '2 Years College' 15 '3 Years College' 16 '4 Years College'
             17 'Graduate/Professional School' /
   A8        -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A8A_1     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A8A_2     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A8A_3     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A8A_4     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A9        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   A9A       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   A10       -3 'MISSING' -2 'DON''T KNOW' 1 'Excellent' 2 'Good' 3 'Fair'
             4 'Poor' /
   A11       -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B1        -3 'MISSING' -2 'DON''T KNOW'
             1 'Yes, dates correct/went to SROS Program'
             2 'Yes, incorrect/went to SROS Program'
             3 'Yes, wrong SROS Program/dates correct'
             4 'No, never went to SROS Program' /
   B2        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B2B       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B4        -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B5        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B5A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_1      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_2      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_3      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_4      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_5      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_6      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_7      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_8      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_9      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_10     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_11     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_12     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_13     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B6_14     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B7_1      -3 'MISSING' 0 'No' 1 'Yes' /
   B7_2      -3 'MISSING' 0 'No' 1 'Yes' /
   B7_3      -3 'MISSING' 0 'No' 1 'Yes' /
   B7_4      -3 'MISSING' 0 'No' 1 'Yes' /
   B7_5      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B8A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8B       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8C       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8D       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8E       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8F       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B8G       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very important' 2 'Somewhat important' 3 'Not important'
             4 'NA (Not applicable)' /
   B9A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B9B       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B9C       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B9D       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B9E       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B9F       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B10       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B11       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Very much' 2 'Somewhat' 3 'Not at all'
             4 'DOESNT REMEMBER ANY STAFF PERSON' /
   B11A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Very much' 2 'Somewhat' 3 'Not at all' /
   B12       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B12A_1    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_2    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_3    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_4    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_5    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_6    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_7    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_8    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_9    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_10   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_11   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_12   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12A_13   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B12B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B12C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   B13       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B14       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B15       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Excellent'
             2 'Good' 3 'Fair' 4 'Poor' /
   B16       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B16A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B16B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Too high' 2 'The right amount' 3 'Too low' /
   B17       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B18       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Never' 2 'Less than one month'
             3 '1 month to less than 6 months'
             4 '6 months to less than one year' 5 '1-2 years'
             6 '3-4 years, or' 7 '5 years or more' /
   B18AA     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B18AB     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than once a week'
             3 'Once a week' 4 'More than once a week' /
   B18AC     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than once a week'
             3 'Once a week' 4 'More than once a week' /
   B19A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19C      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19D      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19E      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19F      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19G      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19H      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B19I      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B20       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very helpful' 2 'Somewhat helpful' 3 'Not at all helpful' /
   BOX20A    -6 'LEGITIMATE SKIP' -3 'MISSING'
             2 'USE START/END DATES FROM FACE SHEET FOR' /
   B21CODE   -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             0 'None' 1 'One time' 2 'Two times' 3 'Three times'
             4 'Four times' 5 'Five times' 6 '6-10 times' 7 '11-15 times'
             8 '16-30 times' 9 '31 times or more' /
   B21BYR    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   B21C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very helpful' 2 'Somewhat helpful' 3 'Not at all helpful' /
   B21D      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B21D2     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B21ECOD   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One time' 2 'Two times' 3 'Three times' 4 'Four times'
             5 'Five times' 6 '6-10 times' 7 '11-15 times' 8 '16-30 times'
             9 '31-50' /
   B21GY     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   B21H      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very helpful' 2 'Somewhat helpful' 3 'Not at all helpful' /
   B22       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   B23A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B23B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B23C      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B23D      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B23E      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B24A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B24B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B24C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B25       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than one month' 3 '1 month to less than 6 months'
             4 '6 months to less than one year' 5 '1-2 years' 6 '3-4 years'
             7 '5 years or more' /
   B25AA     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B25AB     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B25AC     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B26       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   B26A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B27CODE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'One time' 2 'Two times'
             3 'Three times' 4 'Four times' 5 'Five times' 6 '6-10 times'
             7 '11-15 times' 8 '16-30 times' 9 '31 times or more' /
   B29A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             1 'Inpatient' 2 'Residential' 3 'Outpatient (non-methadone)'
             4 'Methadone' 5 'Something else' /
   B29B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one month'
             2 'One month' 3 '2-3 months' 4 '4-5 months' 5 '6-8 months'
             6 '9-11 months' 7 '12 months or more' /
   B29C_1    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_2    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_3    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_4    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_5    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_6    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_7    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_8    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_9    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_10   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_11   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_12   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_13   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B29C_14   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Inpatient' 2 'Residential'
             3 'Outpatient (non-methadone)' 4 'Methadone' 5 'Something else'
             /
   B30B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one month'
             2 'One month' 3 '2-3 months' 4 '4-5 months' 5 '6-8 months'
             6 '9-11 months' 7 '12 months or more' /
   B30C_1    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_2    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_3    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_4    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_5    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_6    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_7    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_8    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_9    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_10   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_11   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_12   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_13   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B30C_14   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B31A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Inpatient'
             2 'Residential' 3 'Outpatient (non-methadone)' 4 'Methadone'
             5 'Something else' /
   B31B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one month' 2 'One month' 3 '2-3 months'
             4 '4-5 months' 5 '6-8 months' 6 '9-11 months'
             7 '12 months or more' /
   B31C_1    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_2    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_3    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_4    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_5    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_6    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_7    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_8    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_9    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_10   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_11   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_12   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_13   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B31C_14   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 2 'No' /
   B32A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Inpatient'
             2 'Residential' 3 'Outpatient (non-methadone)' 4 'Methadone'
             5 'Something else' /
   B32B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one month' 2 'One month' 3 '2-3 months'
             4 '4-5 months' 5 '6-8 months' 6 '9-11 months'
             7 '12 months or more' /
   B32C_1    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_2    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_3    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_4    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_5    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_6    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_7    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_8    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_9    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_10   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_11   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_12   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_13   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B32C_14   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 2 'No' /
   B33A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Inpatient'
             2 'Residential' 3 'Outpatient (non-methadone)' 4 'Methadone' /
   B33B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one month' 2 'One month' 3 '2-3 months'
             4 '4-5 months' 5 '6-8 months' 6 '9-11 months'
             7 '12 months or more' /
   B33C_1    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_2    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_3    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_4    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_5    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_6    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 2 'No' /
   B33C_7    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_8    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_9    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_10   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_11   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_12   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_13   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B33C_14   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B34A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B34B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B34C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B35       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than one month' 3 '1 month to less than 6 months'
             4 '6 months to less than one year' 5 '1-2 years' 6 '3-4 years'
             7 '5 years or more' /
   B35AA     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B35AB     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B35AC     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Never'
             2 'Less than once a week' 3 'Once a week'
             4 'More than once a week' /
   B36       -3 'MISSING' -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B41_1     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_2     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_3     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_4     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_5     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_6     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_7     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_8     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_9     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_10    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_11    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_12    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B41_13    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   B42       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B43       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   B44       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   B44A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Too high'
             2 'The right amount' 3 'Too low' /
   B45       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   B46       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than one month'
             3 '1 month to less than 6 months'
             4 '6 months to less than one year' 5 '1-2 years' 6 '3-4 years'
             7 '5 years or more' /
   B46AA     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than once a week'
             3 'Once a week' 4 'More than once a week' /
   B46AB     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than once a week'
             3 'Once a week' 4 'More than once a week' /
   B46AC     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Never' 2 'Less than once a week'
             3 'Once a week' 4 'More than once a week' /
   B47A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B47B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B47C      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B47D      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B47E      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' 3 'NA (Not applicable)' /
   B47F      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B47G      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B47H      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B47I      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   B48       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' 3 'NA (Not applicable)' /
   C1AINHAL  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AALCOH  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AMARIJ  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1ACRACK  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1ACOCAI  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1APCP    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AHALLU  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AHEROI  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AMTHDO  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AONARC  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AMETHA  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1ADOWNR  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C1AODRUG  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   C2INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AINHAL  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 4 '11-20 days' 5 '21-30 days' 6 'Everyday' /
   C4INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-5 days' 3 '6-10 days'
             4 '11-20 days' 5 '21-30 days' 6 'Everyday' /
   C6INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AINHAL  -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-3 months' 3 '4-5 months'
             /
   C9INHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 6 'Everyday' /
   C2ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C3ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C3AALCOH  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C4ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C6ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C8ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C8AALCOH  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 '1 month'
             2 '2-3 months' 3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9ALCOH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C2MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AMARIJ  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C7MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AMARIJ  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9MARIJ   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C2CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3ACRACK  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8ACRACK  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9CRACK   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C2COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3ACOCAI  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C4COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C6COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8ACOCAI  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9COCAI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C2PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3APCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-5 days' 3 '6-10 days'
             4 '11-20 days' 5 '21-30 days' 6 'Everyday' /
   C4PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 4 '11-20 days' 5 '21-30 days' /
   C6PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 5 '21-30 days' /
   C8PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' /
   C8APCP    -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C9PCP     -6 'LEGITIMATE SKIP' -3 'MISSING' 4 '11-20 days' /
   C2HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AHALLU  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days' /
   C6HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 4 '11-20 days' 5 '21-30 days' /
   C8HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AHALLU  -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-3 months' 3 '4-5 months'
             4 '6-8 months' 5 '9+ months' /
   C9HALLU   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             5 '21-30 days' /
   C2HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C3HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C3AHEROI  -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C4HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C5HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C6HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AHEROI  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9HEROI   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C2MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AMTHDO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C4MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-5 days' 3 '6-10 days'
             4 '11-20 days' 5 '21-30 days' /
   C6MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-5 days' 3 '6-10 days' /
   C8MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' /
   C8AMTHDO  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             4 '6-8 months' /
   C9MTHDO   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C2ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AONARC  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AONARC  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9ONARC   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 2 '2-5 days'
             3 '6-10 days' 4 '11-20 days' 5 '21-30 days' /
   C2METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AMETHA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AMETHA  -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-3 months' 3 '4-5 months'
             4 '6-8 months' 5 '9+ months' /
   C9METHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C2DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3ADOWNR  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8DOWNR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8ADOWNR  -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2-3 months' 3 '4-5 months'
             4 '6-8 months' 5 '9+ months' /
   C9DOWNR   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 0 'None'
             1 'One day' 2 '2-5 days' 5 '21-30 days' 6 'Everyday' /
   C2ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C3ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C3AODRUG  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C4ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C5ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C6ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C7ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C8ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C8AODRUG  -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2-3 months'
             3 '4-5 months' 4 '6-8 months' 5 '9+ months' /
   C9ODRUG   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 2 '2-5 days'
             3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C10       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C11       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C12_1     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   C13_1     -6.0 'LEGITIMATE SKIP' -3.0 'MISSING' -1.0 'REFUSED' /
   C13_1A    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Bottles'
             2 'Cans' 3 'Glasses' 4 'Six packs' 5 'Pints' 6 'Quarts'
             11 'Other (SPECIFY)' /
   C12_2     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C13_2     -6.0 'LEGITIMATE SKIP' -3.0 'MISSING' /
   C13_2A    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Bottles' 3 'Glasses'
             7 'Fifths' 11 'Other (SPECIFY)' /
   C12_3     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   C13_3     -6.0 'LEGITIMATE SKIP' -3.0 'MISSING' -2.0 'DON''T KNOW' /
   C13_3A    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 5 '1/2 Pints'
             6 'Pints' 7 'Quarts' 8 'Fifths' 9 'Drinks' 10 'Shots'
             11 'Other (SPECIFY)' /
   C15INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Inhalants' /
   C15ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 'Alcohol' /
   C15MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' 3 'Marijuana/Hashish' /
   C15CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' 4 'Crack' /
   C15COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' 5 'Cocaine Powder' /
   C15PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 6 'PCP/Angel Dust' /
   C15HALU   -6 'LEGITIMATE SKIP' -3 'MISSING'
             7 'Hallucinogens/Psychedelics/LSD' /
   C15HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' 8 'Heroin' /
   C15MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 9 'Illegal Methadone' /
   C15ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' 10 'Other narcotics' /
   C15METH   -6 'LEGITIMATE SKIP' -3 'MISSING' 11 'Methamphetamines' /
   C15DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' 12 'Downers' /
   C15OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' 13 'Other drug (SPECIFY)' /
   C16INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C18INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C18AINHA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AINHA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C20INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AINHA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 5 '21-30 days' /
   C21INHA   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' /
   C16ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C17ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C18ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C18AALCO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C19AALCO  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C20ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C20AALCO  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C21ALCO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C16MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C18MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18AMARI  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AMARI  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C20MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AMARI  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C21MARI   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C16CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18ACRCK  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19ACRCK  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C20CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20ACRCK  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C21CRCK   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C16COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   C18COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18ACOCA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19ACOCA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C20COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C20ACOCA  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C21COCA   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C16PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18APCP   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19APCP   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 6 'Everyday' /
   C20PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20APCP   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' /
   C21PCP    -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 2 '2-5 days' /
   C16HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C18AHALU  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C19HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AHALU  -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C20HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AHALU  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' /
   C21HALU   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' /
   C16HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   C17HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18AHERO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AHERO  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C20HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AHERO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 5 '21-30 days' 6 'Everyday' /
   C21HERO   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 5 '21-30 days' 6 'Everyday' /
   C16MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C18AMTDO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AMTDO  -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             6 'Everyday' /
   C20MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AMTDO  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C21MTDO   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 3 '6-10 days'
             4 '11-20 days' 6 'Everyday' /
   C16ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   C18AONRC  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AONRC  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C20ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AONRC  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C21ONRC   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C16METH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17METH   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18METH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18AMETH  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19METH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AMETH  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C20METH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AMETH  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C21METH   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' /
   C16DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   C17DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18ADOWN  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19ADOWN  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C20DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20ADOWN  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C21DOWN   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'One day' 2 '2-5 days' 3 '6-10 days' 4 '11-20 days'
             5 '21-30 days' 6 'Everyday' /
   C16OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   C17OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   C18OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C18AOTHR  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C19OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C19AOTHR  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C20OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C20AOTHR  -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 6 'Everyday' /
   C21OTHR   -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 4 '11-20 days' 6 'Everyday' /
   C22       -3 'MISSING' 1 'Yes' 2 'No' /
   C23       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C24_1     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C25_1     -6.0 'LEGITIMATE SKIP' -3.0 'MISSING' /
   C25_1A    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Bottles' 2 'Cans'
             3 'Glasses' 4 'Six packs' 6 'Quarts' 11 'Other (SPECIFY)' /
   C24_2     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C25_2     -6.0 'LEGITIMATE SKIP' -3.0 'MISSING' /
   C25_2A    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Bottles' 3 'Glasses'
             7 'Fifths' 11 'Other (SPECIFY)' /
   C24_3     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   C25_3     -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' /
   C25_3A    -6 'LEGITIMATE SKIP' -3 'MISSING' 5 '1/2 Pints' 6 'Pints'
             7 'Quarts' 8 'Fifths' 9 'Drinks' 10 'Shots' 11 'Other (SPECIFY)'
             /
   C27       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   C27A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' /
   C27B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   C28       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'None' 2 '1-9 times' 3 '10-29' 4 '30-49 times' 5 '50-99 times'
             6 '100-199' 7 '200 times or more' 8 'R NEVER INJECTED DRUGS' /
   C28A      -6 'LEGITIMATE SKIP' -3 'MISSING' 0 'None' 1 'One day'
             2 '2-5 days' 3 '6-10 days' 4 '11-20 days' 5 '21-30 days'
             6 'Everyday' /
   C28B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   C28CA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Very Helpful'
             2 'Somewhat Helpful' 3 'Not at all Helpful' /
   C28CB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Very Helpful'
             2 'Somewhat Helpful' 3 'Not at all Helpful' /
   C28CC     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Very Helpful' 2 'Somewhat Helpful' 3 'Not at all Helpful' /
   C29       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'None' 2 '1-9 times' 3 '10-29 times' 4 '30-49 times'
             5 '50-99 times' 6 '100-199 times' 7 '200 times or more'
             8 'R HAS NEVER INJECTED DRUGS' /
   C29A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'R HAS NEVER INJECTED DRUGS' /
   D1        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D1A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   D2        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             0 'None' 1 'One time' 2 'Two times' 3 'Three times'
             4 'Four times' 5 'Five times' 6 '6-10 times' 7 '11-15 times'
             8 '16-30 times' 9 '31-50 times' 10 '51 times or more' /
   D3        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             0 'None' 1 'One time' 2 'Two times' 3 'Three times'
             4 'Four times' 5 'Five times' 6 '6-10 times' 7 '11-15 times'
             8 '16-30 times' 9 '31-50 times' 10 '51 times or more' /
   D4        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D5        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'R NEVER INCARCERATED/UNDER SUPERVISION' /
   D6A       -3 'MISSING' 1 'Yes' 2 'No' /
   D6B       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D6C       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   D6D       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D6E       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D6F       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D6G       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D7        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D7AA      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D7BA      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D7AB      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   D7BB      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' 4 '5 years or more' /
   D7AC      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   D7BC      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D7AD      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D7BD      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' /
   D7AE      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D7BE      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D7AF      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D7BF      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D7AG      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D7BG      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' /
   D8        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   D9        -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D9A_1     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_2     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_3     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_4     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_5     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_6     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_7     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_8     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_9     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_10    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_11    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D9A_12    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_13    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_14    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D9A_15    -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D10       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D10A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'More' 2 'Less' 3 'About the same'
             4 'NEVER DID ILLEGAL ACTIVITY BEFORE PROGRA' /
   D11       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D12A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13A      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13ANUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Days' 2 'Weeks' 3 'Months'
             4 'Years' /
   D12B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13B      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13BNUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 'Weeks' 3 'Months' 4 'Years'
             /
   D12C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13C      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13CNUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Days' 3 'Months' 4 'Years'
             /
   D12D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13D      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13DNUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Days' 2 'Weeks' 3 'Months'
             4 'Years' /
   D12E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' /
   D13ENUM   -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Days'
             2 'Weeks' 3 'Months' 4 'Years' /
   D12F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D13F      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13FNUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Days' 2 'Weeks' 3 'Months'
             4 'Years' /
   D12G      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D13G      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   D13GNUM   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Days' 2 'Weeks' 3 'Months'
             /
   D14       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 0 'NEVER' 1 'One time'
             2 'Two time' 3 'Three times' 4 'Four times' 5 'Five times'
             6 '6-10 times' 7 '11-15 times' 8 '16-30 times' 9 '31-50 times'
             10 '51 times or more' /
   D14A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   D15       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D15A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D15B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one month'
             2 'One month' 3 '2-3 months' 4 '4-5 months' 5 '6-8 months'
             6 '9-11 months' 7 'Twelve months/entire year' /
   D16A      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D16B      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' 4 '5 years or more' /
   D16C      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17C      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' /
   D16D      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17D      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' 4 '5 years or more' /
   D16E      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17E      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D16F      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17F      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D16G      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   D17G      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Less than one year'
             2 '1-2 years' 4 '5 years or more' /
   D18       -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D19       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   D20       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D20F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D21C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D21F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D22       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D22A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D22B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D22C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D22D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D22E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D22F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D23B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D23F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D24F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D25F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D26F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D27B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D27F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D28       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D28A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D28B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D28C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D28D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D28E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D28F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D29F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D30E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D30F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D31       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D31A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D31B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D31C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D31D      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -1 'REFUSED' 1 'Yes' 2 'No' /
   D31E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D31F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D32E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D32F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D33E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D33F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D34B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D34F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35B      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35C      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35D      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 2 'No' /
   D35E      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D35F      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D36       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'R CURRENTLY INCARCERATED' /
   D36AA     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   D36AB     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D36AC     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   D35AD     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   E1        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   E1A       -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'MARRIAGE WAS ANNULLED' /
   E2        -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   E3        -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' /
   E4MONTH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   E4YEAR    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   E5        -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   E6        -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Less than one year'
             2 '1-2 years' 3 '3-4 years' 4 '5 years or more' /
   E7        -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Activate skip'
             /
   E8A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   E8B       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   E9        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one month' 2 '1-6 months' 3 '7-11 months'
             4 '1-2 years' 5 '3-5 years' 6 'More than five years' 7 'NONE'
             8 'R WAS NOT LIVING WITH PARTNER' /
   E10       -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED'
             1 'Less than one month' 2 '1-2 months' 3 '3-4 months'
             4 '5-6 months' 5 '7-8 months' 6 '9-11 months'
             7 '12 months/entire year' 8 'NONE'
             9 'R WAS NOT LIVING WITH PARTNER' /
   F1        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'NEVER KNEW NATURAL MOTHER' /
   F2        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'NEVER KNEW NATURAL FATHER' /
   F3        -3 'MISSING' -1 'REFUSED' 1 'Yes, with parents'
             2 'Yes, with mother only' 3 'Yes, with father only' 4 'No' /
   F3A       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' /
   F3B       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' /
   F4        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Never w/parents' 2 'Never w/mom' 3 'Never w/dad'
             4 'Lived w/both' /
   F5        -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 0 'NEVER ATTENDED SCHOOL'
             1 '1st Grade' 2 '2nd Grade' 3 '3rd Grade' 4 '4th Grade'
             5 '5th Grade' 6 '6th Grade' 7 '7th Grade' 8 '8th Grade'
             9 '9th Grade' 10 '10th Grade' 11 '11th Grade' 12 '12th Grade'
             13 '1 Year College' 14 '2 Years College' 15 '3 Years College'
             16 '4 Years College' 17 'Graduate/Professional School' /
   F5A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes, diploma' 2 'Yes, GED' 3 'No' /
   F6        -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 0 'NEVER ATTENDED SCHOOL'
             1 '1st Grade' 2 '2nd Grade' 3 '3rd Grade' 4 '4th Grade'
             5 '5th Grade' 6 '6th Grade' 7 '7th Grade' 8 '8th Grade'
             9 '9th Grade' 10 '10th Grade' 11 '11th Grade' 12 '12th Grade'
             13 '1 Year College' 14 '2 Years College' 15 '3 Years College'
             16 '4 Years College' 17 'Graduate/Professional School' /
   F6A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes, diploma' 2 'Yes, GED' 3 'No' /
   F7        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F8        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F8A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   F9        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F10       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 6 '6+' /
   F10A      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F11       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   F11A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 6 '6+' /
   F12       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   F12A      -6 'LEGITIMATE SKIP' -3 'MISSING' 6 '6+' /
   F13       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   F13A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'GAVE UP CUSTODY TO GO TO TREATMENT' /
   F13B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'REGAINED CUSTODY BY COMPLETING TREATMENT' /
   F13C      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'GAVE UP CUSTODY TO GO TO TREATMENT' /
   F13D      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'REGAINED CUSTODY BY COMPLETING TREATMENT' /
   F13E      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'GAVE UP CUSTODY TO GO TO TREATMENT' /
   F13F      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No'
             3 'REGAINED CUSTODY BY COMPLETING TREATMENT' /
   F14       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   F14A      -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 6 '6+' /
   F15       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F15A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'In shelters'
             2 'On the street' 3 'Both' /
   F15B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'Less than 1 month' 2 '1-6 months' 3 '7-12 months'
             4 '13-18 months' 5 '19-30 months' 6 '31-42 months'
             7 '43-54 months' 9 'HOMELESS IN SHELTERS ENTIRE TIME' /
   F15C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'Less that 1 month' 2 '1-6 months' 3 '7-12 months'
             4 '13-18 months' 5 '19-30 months' 6 '31-42 months'
             7 '43-54 months' 8 'More than 54 months'
             9 'HOMELESS ON STREET ENTIRE TIME' /
   F16       -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   F16A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'Less than 1 month' 2 '1-6 months' 3 '7-12 months'
             4 '13-18 months' 5 '19-30 months' 6 '31-42 months'
             7 '43-54 months' 8 'More than 54 months' 9 'ENTIRE TIME' /
   F17       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   F17A      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'In shelters'
             2 'On the street' 3 'Both' /
   F17B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             0 'None' 1 'Less than 1 month' 2 '1-6 months' 3 '7-12 months'
             4 '13-18 months' 5 '19-30 months' 6 '31-42 months'
             8 'More than 54 months' 9 'HOMELESS IN SHELTERS ENTIRE TIME' /
   F17C      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 0 'None'
             1 'Less than 1 month' 2 '1-6 months' 3 '7-12 months'
             4 '13-18 months' 5 '19-30 months' 6 '31-42 months'
             7 '43-54 months' 8 'More than 54 months'
             9 'HOMELESS ON STREET ENTIRE TIME' /
   F19       -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   F19A_1    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_2    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_3    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_4    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_5    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_6    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_7    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_8    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_9    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19A_10   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   F19B_0    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_1    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_2    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 2 'No' /
   F19B_3    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_4    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 2 'No' /
   F19B_5    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 2 'No' /
   F19B_6    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_7    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_8    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_9    -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_10   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_11   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_12   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_13   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_14   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_15   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_16   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19B_17   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   F19C      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G1        -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G2        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G3        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   G3A       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G3B       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'All' 2 'Some' 3 'None' /
   G4        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G5        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'All' 2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G6        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G7        -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G8        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G9        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G10       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G11       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G12       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   G13       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G14       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G15       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G16       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'R NEVER USED ALCOHOL' /
   G17       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'R NEVER USED DRUGS' /
   G18       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G19       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G20       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Often'
             2 'Sometimes' 3 'Rarely' 4 'Never' /
   G20A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G20B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' /
   G21       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Often'
             2 'Sometimes' 3 'Rarely' 4 'Never' /
   G22       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G23       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G24       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Often'
             2 'Sometimes' 3 'Rarely' 4 'Never' /
   G25       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G26       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G27       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G28       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G28A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G28B      -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'All' 2 'Some' 3 'None' /
   G29       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G30       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G31       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G32       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G33       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED ALCOHOL' /
   G34       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'All'
             2 'Some' 3 'None' 4 'R NEVER USED DRUGS' /
   G35       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G36       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G37       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' /
   G38       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G39       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G40       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G41       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   G42       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G43       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G44       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G45       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G46       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G47       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G48       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Excellent'
             2 'Good' 3 'Fair' 4 'Poor' /
   G49       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Excellent'
             2 'Good' 3 'Fair' 4 'Poor' /
   G50       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Excellent'
             2 'Good' 3 'Fair' 4 'Poor' /
   G51A      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51B      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51C      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51D      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51E      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51F      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51G      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51H      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51I      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51J      -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51K      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'R IS MALE' /
   G51AA     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BA     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51AB     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   G51BB     -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING' 1 'Yes'
             2 'No' /
   G51AC     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G51BC     -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   G51AD     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51BD     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51AE     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BE     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51AF     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BF     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51AG     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BG     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51AH     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BH     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51AI     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51BI     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51AJ     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51BJ     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G51AK     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G51BK     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G52       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G53       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G54       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 100 '100+' /
   G55       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G56       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G57       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G58       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 100 '100+' /
   G59       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G60       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G61       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G62       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G63       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'One time'
             2 '2-9 times' 3 '10-19 times' 4 '20-49 times' 5 '50-99 times'
             6 '100 or more times' /
   G64       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G65       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'One time' 2 '2-9 times' 3 '10-19 times' 4 '20-49 times'
             5 '50-99 times' 6 '100 or more times' /
   G66       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G67       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G68       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   G69       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G70       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   G71       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G72       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G73       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G74       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G75       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G76       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   G77       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'One time'
             2 '2-9 times' 3 '10-19 times' 4 '20-49 times' 5 '50-99 times'
             6 'More than 100 times' 7 'NONE/NEVER SAW A DOCTOR' /
   G78       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             1 'One time' 2 '2-9 times' 3 '10-19 times' 4 '20-49 times'
             5 '50-99 times' 6 'More than 100 times'
             7 'NONE/NEVER SAW A DOCTOR' /
   G79       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'One person'
             2 '2-10 persons' 3 '11-25 persons' 4 '26-100 persons'
             5 '100-500 persons' 6 'More than 500 persons' 7 'NONE' /
   G80       -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'One person' 2 '2-10 persons'
             3 '11-25 persons' 4 '26-100 persons' 5 '100-500 persons'
             6 'More than 500 persons' 7 'NONE' /
   G81       -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   G82       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G83       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G84       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' 3 'RESULTS POSITIVE' 4 'RESULTS NEGATIVE' /
   G86       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G87       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G88       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   G89       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' 3 'RESULTS POSITIVE' 4 'RESULTS NEGATIVE' /
   G90       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   G91       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G92       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G93       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'One time'
             2 '2-5 times' 3 '6-10 times' 4 '11-25 times' 5 '26-100 times'
             6 'More than 100 times' /
   G95       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G96       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G97       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   G98       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   G99       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'One time'
             2 '2-5 times' 3 '6-10 times' 4 '11-25 times' 5 '26-100 times'
             6 'More than 100 times' /
   H1        -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No'
             3 'R CURRENTLY HAS FULL-TIME JOB' /
   H2        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H3        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   H3BDOL    -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' 100000.00 '100000+' /
   H3BRATE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per hour' 2 'Per day'
             3 'Per week' 4 'Every two weeks' 5 'Bi-monthly' 6 'Monthly'
             7 'Per year' /
   H4        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   H4ADOL    -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' 100000.00 '100000+' /
   H4ARATE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Per hour' 2 'Per day' 3 'Per week'
             4 'Every two weeks' 5 'Bi-monthly' 6 'Monthly' 7 'Per year' /
   SAME1ST   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H6        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' 3 'R CURRENTLY HAS FULL-TIME JOB' /
   H7        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   SAME2ND   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   H7BDOL    -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' 100000.00 '100000+' /
   H7ARATE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per hour' 2 'Per day'
             3 'Per week' 4 'Every two weeks' 5 'Bi-monthly' 6 'Monthly'
             7 'Per year' /
   H8        -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   H8ADOL    -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' 100000.00 '100000+' /
   H8ARATE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per hour' 2 'Per day'
             3 'Per week' 4 'Every two weeks' 5 'Bi-monthly' 6 'Monthly'
             7 'Per year' /
   SAME3RD   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H10       -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H10A      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' /
   H10BDOL   -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -1.00 'REFUSED'
             100000.00 '100000+' /
   H10BRTE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per hour' 2 'Per day'
             3 'Per week' 4 'Every two weeks' 5 'Bi-monthly' 6 'Monthly'
             7 'Per year' /
   SAME4TH   -6 'LEGITIMATE SKIP' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   H11       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   H12       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   H13       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   SAME5TH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H13BDOL   -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H13BRTE   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per hour' 2 'Per day' 3 'Per week' 4 'Every two weeks'
             6 'Monthly' 7 'Per year' /
   H14       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   H14ADOL   -6.00 'LEGITIMATE SKIP' -5.00 'NOT APPLICABLE' -3.00 'MISSING'
             -2.00 'DON''T KNOW' -1.00 'REFUSED' /
   H14ARTE   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per hour' 2 'Per day'
             3 'Per week' 4 'Every two weeks' 6 'Monthly' 7 'Per year' /
   SAME6TH   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   H15       -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years' /
   SAME7TH   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' 1 'Yes' 2 'No' /
   H15B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW'
             1 'Less than one year' 2 '1-2 years' 3 '3-4 years'
             4 '5 years or more' /
   H15CDOL   -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H15CRTE   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per hour' 2 'Per day' 3 'Per week' 4 'Every two weeks'
             6 'Monthly' 7 'Per year' /
   H17       -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   H17A      -6 'LEGITIMATE SKIP' -3 'MISSING' /
   H17BDOL   -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H17BRTE   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per hour' 2 'Per day' 3 'Per week' 4 'Every two weeks'
             6 'Monthly' 7 'Per year' /
   SAME8TH   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   H19       -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   H19A_1    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_2    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_3    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_4    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_5    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_6    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_7    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19A_8    -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   H19B      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Less than half' 2 'Half or more' 3 'All' /
   H21A      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22A      -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H22ATIM   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per week' 2 'Per month'
             3 'Per year' /
   H21B      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22B      -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H22BTIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per week' 2 'Per month' 3 'Per year' /
   H21C      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22C      -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H22CTIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per week' 2 'Per month' 3 'Per year' /
   H21D      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22D      -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H22DTIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per week' 2 'Per month' 3 'Per year' /
   H21E      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22E      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   H22ETIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             2 'Per month' 3 'Per year' /
   H21F      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22F      -6.00 'LEGITIMATE SKIP' -3.00 'MISSING' -2.00 'DON''T KNOW'
             -1.00 'REFUSED' /
   H22FTIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per week' 2 'Per month' 3 'Per year' /
   H21G      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   H22G      -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             /
   H22GTIM   -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Per week' 2 'Per month' 3 'Per year' /
   H21H      -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   H22H      -6.00 'LEGITIMATE SKIP' -5.00 'NOT APPLICABLE' -3.00 'MISSING'
             -2.00 'DON''T KNOW' -1.00 'REFUSED' /
   H22HTIM   -6 'LEGITIMATE SKIP' -5 'NOT APPLICABLE' -3 'MISSING'
             -2 'DON''T KNOW' -1 'REFUSED' 1 'Per week' 2 'Per month'
             3 'Per year' /
   PHONE1    -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Telephone present'
             2 'No telephone' /
   PHONE2    -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Telephone present' 2 'No telephone' /
   PERSON2   -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED' 1 'Yes' 2 'No' /
   PHONE3    -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Telephone present' 2 'No telephone' /
   ENDYEAR   -3 'MISSING' /
   TOTTIME   -3 'MISSING' /
   BOXII     -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   BOXIII    -3 'MISSING' 1 'Yes' 2 'No' /
   BOXIV     -5 'NOT APPLICABLE' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   BOXRECPT  -5 'NOT APPLICABLE' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   I11A      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   I11AA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11AB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   I11B      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   I11BA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11BB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   I11C      -5 'NOT APPLICABLE' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   I11CA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11CB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   I11D      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   I11DA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11DB     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   I11E      -5 'NOT APPLICABLE' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   I11EA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11EB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   I11F      -5 'NOT APPLICABLE' -3 'MISSING' -2 'DON''T KNOW' -1 'REFUSED'
             1 'Yes' 2 'No' /
   I11FA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11FB     -6 'LEGITIMATE SKIP' -3 'MISSING' -2 'DON''T KNOW' 1 'Yes'
             2 'No' /
   I11G      -5 'NOT APPLICABLE' -3 'MISSING' -1 'REFUSED' 1 'Yes' 2 'No' /
   I11GA     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Medical' 2 'Non-medical' /
   I11GB     -6 'LEGITIMATE SKIP' -3 'MISSING' 1 'Yes' 2 'No' /
   I11AC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   I11BC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   I11CC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   I11DC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   I11EC     -6 'LEGITIMATE SKIP' -3 'MISSING' /
   I11FC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   I11GC     -3 'MISSING' 1 'Positive' 2 'Negative' 3 'Refused'
             4 'Not Possible' 6 'Invalid Specimen' 7 'Lost Specimen' /
   D6A_1     -3 'MISSING' -2 'DON''T KNOW' /
   INHAL     -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   ALCOHOL   -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   MARIJUAN  -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   CRACK     -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   COCAINE   -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   PCP       -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   HALLUCIN  -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   HEROIN    -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   ILLMETH   -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   NARC      -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   METHAMPH  -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   DOWNERS   -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   OTHDRUG   -3 'MISSING' 0 'Never used (or used less than 5 times)'
             1 'Used as main drug at time entering tx'
             2 'Used as main drug at other time'
             3 'Used but not as main drug' /
   AGEFINH   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFALC   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFMAR   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGFCRK    -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFCOC   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFPCP   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFHER   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFMTH   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFNAR   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFAMP   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFDWN   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   AGEFOTH   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   USBINH    -3 'MISSING' 0 'No' 1 'Yes' /
   USBALC    -3 'MISSING' 0 'No' 1 'Yes' /
   USBMAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USBCRK    -3 'MISSING' 0 'No' 1 'Yes' /
   USBCOC    -3 'MISSING' 0 'No' 1 'Yes' /
   USBPCP    -3 'MISSING' 0 'No' 1 'Yes' /
   USBHAL    -3 'MISSING' 0 'No' 1 'Yes' /
   USBHER    -3 'MISSING' 0 'No' 1 'Yes' /
   USBMTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USBNAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USBAMP    -3 'MISSING' 0 'No' 1 'Yes' /
   USBDWN    -3 'MISSING' 0 'No' 1 'Yes' /
   USBOTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USBDINH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDALC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDMAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDCRK   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDCOC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDPCP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDHAL   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDHER   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDMTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDNAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDAMP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDDWN   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USBDOTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USAINH    -3 'MISSING' 0 'No' 1 'Yes' /
   USAALC    -3 'MISSING' 0 'No' 1 'Yes' /
   USAMAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USACRK    -3 'MISSING' 0 'No' 1 'Yes' /
   USACOC    -3 'MISSING' 0 'No' 1 'Yes' /
   USAPCP    -3 'MISSING' 0 'No' 1 'Yes' /
   USAHAL    -3 'MISSING' 0 'No' 1 'Yes' /
   USAHER    -3 'MISSING' 0 'No' 1 'Yes' /
   USAMTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USANAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USAAMP    -3 'MISSING' 0 'No' 1 'Yes' /
   USADWN    -3 'MISSING' 0 'No' 1 'Yes' /
   USAOTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USADINH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADALC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADMAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADCRK   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADCOC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADPCP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADHAL   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADHER   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADMTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADNAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADAMP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADDWN   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USADOTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYINH    -3 'MISSING' 0 'No' 1 'Yes' /
   USYALC    -3 'MISSING' 0 'No' 1 'Yes' /
   USYMAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USYCRK    -3 'MISSING' 0 'No' 1 'Yes' /
   USYCOC    -3 'MISSING' 0 'No' 1 'Yes' /
   USYPCP    -3 'MISSING' 0 'No' 1 'Yes' /
   USYHAL    -3 'MISSING' 0 'No' 1 'Yes' /
   USYHER    -3 'MISSING' 0 'No' 1 'Yes' /
   USYMTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USYNAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USYAMP    -3 'MISSING' 0 'No' 1 'Yes' /
   USYDWN    -3 'MISSING' 0 'No' 1 'Yes' /
   USYOTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USYDINH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 4 '11 to 20 days/month'
             5 '21 to 31 days/month' 6 'Every day' /
   USYDALC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDMAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDCRK   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDCOC   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDPCP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             5 '21 to 31 days/month' /
   USYDHAL   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' /
   USYDHER   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDMTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 6 'Every day' /
   USYDNAR   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDAMP   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDDWN   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USYDOTH   -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USNINH    -3 'MISSING' 0 'No' 1 'Yes' /
   USNALC    -3 'MISSING' 0 'No' 1 'Yes' /
   USNMAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USNCRK    -3 'MISSING' 0 'No' 1 'Yes' /
   USNCOC    -3 'MISSING' 0 'No' 1 'Yes' /
   USNPCP    -3 'MISSING' 0 'No' 1 'Yes' /
   USNHAL    -3 'MISSING' 0 'No' 1 'Yes' /
   USNHER    -3 'MISSING' 0 'No' 1 'Yes' /
   USNMTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USNNAR    -3 'MISSING' 0 'No' 1 'Yes' /
   USNAMP    -3 'MISSING' 0 'No' 1 'Yes' /
   USNDWN    -3 'MISSING' 0 'No' 1 'Yes' /
   USNOTH    -3 'MISSING' 0 'No' 1 'Yes' /
   USNMINH   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2 to 3 months'
             3 '4 to 5 months' /
   USNMALC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMMAR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMCRK   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMCOC   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMPCP   -6 'LEGITIMATE SKIP' -3 'MISSING' /
   USNMHAL   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMHER   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMMTH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             4 '6 to 8 months' /
   USNMNAR   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMAMP   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMDWN   -6 'LEGITIMATE SKIP' -3 'MISSING' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USNMOTH   -6 'LEGITIMATE SKIP' -3 'MISSING' 1 '1 month' 2 '2 to 3 months'
             3 '4 to 5 months' 4 '6 to 8 months' 5 '9 or more months' /
   USMINH    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 6 'Every day' /
   USMALC    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMMAR    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMCRK    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMCOC    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMPCP    -3 'MISSING' 0 'Did not use five times or more'
             2 '2 to 5 days/month' 4 '11 to 20 days/month' /
   USMHAL    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             5 '21 to 31 days/month' /
   USMHER    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMMTH    -3 'MISSING' 0 'Did not use five times or more'
             3 '6 to 10 days/month' 4 '11 to 20 days/month' 6 'Every day' /
   USMNAR    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMAMP    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMDWN    -3 'MISSING' 0 'Did not use five times or more' 1 '1 day/month'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 5 '21 to 31 days/month' 6 'Every day' /
   USMOTH    -3 'MISSING' 0 'Did not use five times or more'
             2 '2 to 5 days/month' 3 '6 to 10 days/month'
             4 '11 to 20 days/month' 6 'Every day' /
   USBSEC    -3 'MISSING' 0 'No' 1 'Yes' /
   USASEC    -3 'MISSING' 0 'No' 1 'Yes' /
   USBANY    -3 'MISSING' 0 'No' 1 'Yes' /
   USAANY    -3 'MISSING' 0 'No' 1 'Yes' /
   TRTYPE    -3 'MISSING' 1 'Inpatient' 2 'Residential'
             3 'Outpatient Methadone Maintenance' 4 'Outpatient Drug-Free' /
   LOS       -3 'MISSING' 1825 '1825+' /
   LOSCAT    -3 'MISSING' 1 'Less than 1 week'
             2 '1 week to less than 1 month' 3 '1 to 5 months'
             4 '6 months or more' /
   RACE      -3 'MISSING' 1 'White (non-Hispanic)' 2 'Black (non-Hispanic)'
             3 'Hispanic' 4 'Other' /
   DISAGE    -3 'MISSING' 75 '75+' /
   DISAGE2   -3 'MISSING' 1 'Less than 18' 2 '18 to 29' 3 '30 to 39'
             4 '40 or older' /
   PRETRT    -3 'MISSING' 1 '0' 2 '1 to 2' 3 '3 or more' /
   COMPTRT   -3 'MISSING' 1 'Yes' 2 'No' /
   AFTTRT    -3 'MISSING' 1 'Yes' 2 'No' /
   HELPTRT   -3 'MISSING' 1 'Very helpful' 2 'Somewhat/not helpful' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     CLIENTID
     FAC_ID
     MODE
     A1
     A3
     A4
     A4A_1
     A4A_2
     A4A_3
     A4A_4
     A5
     A6
     A7
     A8
     A8A_1
     A8A_2
     A8A_3
     A8A_4
     A9
     A9A
     A10
     A11
     B1
     B2
     B2B
     B4
     B5
     B5A
     B6_1
     B6_2
     B6_3
     B6_4
     B6_5
     B6_6
     B6_7
     B6_8
     B6_9
     B6_10
     B6_11
     B6_12
     B6_13
     B6_14
     B7_1
     B7_2
     B7_3
     B7_4
     B7_5
     B8A
     B8B
     B8C
     B8D
     B8E
     B8F
     B8G
     B9A
     B9B
     B9C
     B9D
     B9E
     B9F
     B10
     B11
     B11A
     B12
     B12A_1
     B12A_2
     B12A_3
     B12A_4
     B12A_5
     B12A_6
     B12A_7
     B12A_8
     B12A_9
     B12A_10
     B12A_11
     B12A_12
     B12A_13
     B12B
     B12C
     B13
     B14
     B15
     B16
     B16A
     B16B
     B17
     B18
     B18AA
     B18AB
     B18AC
     B19A
     B19B
     B19C
     B19D
     B19E
     B19F
     B19G
     B19H
     B19I
     B20
     BOX20A
     B21CODE
     B21BYR
     B21C
     B21D
     B21D2
     B21ECOD
     B21GY
     B21H
     B22
     B23A
     B23B
     B23C
     B23D
     B23E
     B24A
     B24B
     B24C
     B25
     B25AA
     B25AB
     B25AC
     B26
     B26A
     B27CODE
     B29A
     B29B
     B29C_1
     B29C_2
     B29C_3
     B29C_4
     B29C_5
     B29C_6
     B29C_7
     B29C_8
     B29C_9
     B29C_10
     B29C_11
     B29C_12
     B29C_13
     B29C_14
     B30A
     B30B
     B30C_1
     B30C_2
     B30C_3
     B30C_4
     B30C_5
     B30C_6
     B30C_7
     B30C_8
     B30C_9
     B30C_10
     B30C_11
     B30C_12
     B30C_13
     B30C_14
     B31A
     B31B
     B31C_1
     B31C_2
     B31C_3
     B31C_4
     B31C_5
     B31C_6
     B31C_7
     B31C_8
     B31C_9
     B31C_10
     B31C_11
     B31C_12
     B31C_13
     B31C_14
     B32A
     B32B
     B32C_1
     B32C_2
     B32C_3
     B32C_4
     B32C_5
     B32C_6
     B32C_7
     B32C_8
     B32C_9
     B32C_10
     B32C_11
     B32C_12
     B32C_13
     B32C_14
     B33A
     B33B
     B33C_1
     B33C_2
     B33C_3
     B33C_4
     B33C_5
     B33C_6
     B33C_7
     B33C_8
     B33C_9
     B33C_10
     B33C_11
     B33C_12
     B33C_13
     B33C_14
     B34A
     B34B
     B34C
     B35
     B35AA
     B35AB
     B35AC
     B36
     B41_1
     B41_2
     B41_3
     B41_4
     B41_5
     B41_6
     B41_7
     B41_8
     B41_9
     B41_10
     B41_11
     B41_12
     B41_13
     B42
     B43
     B44
     B44A
     B45
     B46
     B46AA
     B46AB
     B46AC
     B47A
     B47B
     B47C
     B47D
     B47E
     B47F
     B47G
     B47H
     B47I
     B48
     C1AINHAL
     C1AALCOH
     C1AMARIJ
     C1ACRACK
     C1ACOCAI
     C1APCP
     C1AHALLU
     C1AHEROI
     C1AMTHDO
     C1AONARC
     C1AMETHA
     C1ADOWNR
     C1AODRUG
     C2INHAL
     C3INHAL
     C3AINHAL
     C4INHAL
     C5INHAL
     C6INHAL
     C7INHAL
     C8INHAL
     C8AINHAL
     C9INHAL
     C2ALCOH
     C3ALCOH
     C3AALCOH
     C4ALCOH
     C5ALCOH
     C6ALCOH
     C7ALCOH
     C8ALCOH
     C8AALCOH
     C9ALCOH
     C2MARIJ
     C3MARIJ
     C3AMARIJ
     C4MARIJ
     C5MARIJ
     C6MARIJ
     C7MARIJ
     C8MARIJ
     C8AMARIJ
     C9MARIJ
     C2CRACK
     C3CRACK
     C3ACRACK
     C4CRACK
     C5CRACK
     C6CRACK
     C7CRACK
     C8CRACK
     C8ACRACK
     C9CRACK
     C2COCAI
     C3COCAI
     C3ACOCAI
     C4COCAI
     C5COCAI
     C6COCAI
     C7COCAI
     C8COCAI
     C8ACOCAI
     C9COCAI
     C2PCP
     C3PCP
     C3APCP
     C4PCP
     C5PCP
     C6PCP
     C7PCP
     C8PCP
     C8APCP
     C9PCP
     C2HALLU
     C3HALLU
     C3AHALLU
     C4HALLU
     C5HALLU
     C6HALLU
     C7HALLU
     C8HALLU
     C8AHALLU
     C9HALLU
     C2HEROI
     C3HEROI
     C3AHEROI
     C4HEROI
     C5HEROI
     C6HEROI
     C7HEROI
     C8HEROI
     C8AHEROI
     C9HEROI
     C2MTHDO
     C3MTHDO
     C3AMTHDO
     C4MTHDO
     C5MTHDO
     C6MTHDO
     C7MTHDO
     C8MTHDO
     C8AMTHDO
     C9MTHDO
     C2ONARC
     C3ONARC
     C3AONARC
     C4ONARC
     C5ONARC
     C6ONARC
     C7ONARC
     C8ONARC
     C8AONARC
     C9ONARC
     C2METHA
     C3METHA
     C3AMETHA
     C4METHA
     C5METHA
     C6METHA
     C7METHA
     C8METHA
     C8AMETHA
     C9METHA
     C2DOWNR
     C3DOWNR
     C3ADOWNR
     C4DOWNR
     C5DOWNR
     C6DOWNR
     C7DOWNR
     C8DOWNR
     C8ADOWNR
     C9DOWNR
     C2ODRUG
     C3ODRUG
     C3AODRUG
     C4ODRUG
     C5ODRUG
     C6ODRUG
     C7ODRUG
     C8ODRUG
     C8AODRUG
     C9ODRUG
     C10
     C11
     C12_1
     C13_1A
     C12_2
     C13_2A
     C12_3
     C13_3A
     C15INHA
     C15ALCO
     C15MARI
     C15CRCK
     C15COCA
     C15PCP
     C15HALU
     C15HERO
     C15MTDO
     C15ONRC
     C15METH
     C15DOWN
     C15OTHR
     C16INHA
     C17INHA
     C18INHA
     C18AINHA
     C19INHA
     C19AINHA
     C20INHA
     C20AINHA
     C21INHA
     C16ALCO
     C17ALCO
     C18ALCO
     C18AALCO
     C19ALCO
     C19AALCO
     C20ALCO
     C20AALCO
     C21ALCO
     C16MARI
     C17MARI
     C18MARI
     C18AMARI
     C19MARI
     C19AMARI
     C20MARI
     C20AMARI
     C21MARI
     C16CRCK
     C17CRCK
     C18CRCK
     C18ACRCK
     C19CRCK
     C19ACRCK
     C20CRCK
     C20ACRCK
     C21CRCK
     C16COCA
     C17COCA
     C18COCA
     C18ACOCA
     C19COCA
     C19ACOCA
     C20COCA
     C20ACOCA
     C21COCA
     C16PCP
     C17PCP
     C18PCP
     C18APCP
     C19PCP
     C19APCP
     C20PCP
     C20APCP
     C21PCP
     C16HALU
     C17HALU
     C18HALU
     C18AHALU
     C19HALU
     C19AHALU
     C20HALU
     C20AHALU
     C21HALU
     C16HERO
     C17HERO
     C18HERO
     C18AHERO
     C19HERO
     C19AHERO
     C20HERO
     C20AHERO
     C21HERO
     C16MTDO
     C17MTDO
     C18MTDO
     C18AMTDO
     C19MTDO
     C19AMTDO
     C20MTDO
     C20AMTDO
     C21MTDO
     C16ONRC
     C17ONRC
     C18ONRC
     C18AONRC
     C19ONRC
     C19AONRC
     C20ONRC
     C20AONRC
     C21ONRC
     C16METH
     C17METH
     C18METH
     C18AMETH
     C19METH
     C19AMETH
     C20METH
     C20AMETH
     C21METH
     C16DOWN
     C17DOWN
     C18DOWN
     C18ADOWN
     C19DOWN
     C19ADOWN
     C20DOWN
     C20ADOWN
     C21DOWN
     C16OTHR
     C17OTHR
     C18OTHR
     C18AOTHR
     C19OTHR
     C19AOTHR
     C20OTHR
     C20AOTHR
     C21OTHR
     C22
     C23
     C24_1
     C25_1A
     C24_2
     C25_2A
     C24_3
     C25_3A
     C27
     C27A
     C27B
     C28
     C28A
     C28B
     C28CA
     C28CB
     C28CC
     C29
     C29A
     D1
     D1A
     D2
     D3
     D4
     D5
     D6A
     D6B
     D6C
     D6D
     D6E
     D6F
     D6G
     D7
     D7AA
     D7BA
     D7AB
     D7BB
     D7AC
     D7BC
     D7AD
     D7BD
     D7AE
     D7BE
     D7AF
     D7BF
     D7AG
     D7BG
     D8
     D9
     D9A_1
     D9A_2
     D9A_3
     D9A_4
     D9A_5
     D9A_6
     D9A_7
     D9A_8
     D9A_9
     D9A_10
     D9A_11
     D9A_12
     D9A_13
     D9A_14
     D9A_15
     D10
     D10A
     D11
     D12A
     D13A
     D13ANUM
     D12B
     D13B
     D13BNUM
     D12C
     D13C
     D13CNUM
     D12D
     D13D
     D13DNUM
     D12E
     D13E
     D13ENUM
     D12F
     D13F
     D13FNUM
     D12G
     D13G
     D13GNUM
     D14
     D14A
     D15
     D15A
     D15B
     D16A
     D17A
     D16B
     D17B
     D16C
     D17C
     D16D
     D17D
     D16E
     D17E
     D16F
     D17F
     D16G
     D17G
     D18
     D19
     D20
     D20A
     D20B
     D20C
     D20D
     D20E
     D20F
     D21
     D21A
     D21B
     D21C
     D21D
     D21E
     D21F
     D22
     D22A
     D22B
     D22C
     D22D
     D22E
     D22F
     D23
     D23A
     D23B
     D23C
     D23D
     D23E
     D23F
     D24
     D24A
     D24B
     D24C
     D24D
     D24E
     D24F
     D25
     D25A
     D25B
     D25C
     D25D
     D25E
     D25F
     D26
     D26A
     D26B
     D26C
     D26D
     D26E
     D26F
     D27
     D27A
     D27B
     D27C
     D27D
     D27E
     D27F
     D28
     D28A
     D28B
     D28C
     D28D
     D28E
     D28F
     D29
     D29A
     D29B
     D29C
     D29D
     D29E
     D29F
     D30
     D30A
     D30B
     D30C
     D30D
     D30E
     D30F
     D31
     D31A
     D31B
     D31C
     D31D
     D31E
     D31F
     D32
     D32A
     D32B
     D32C
     D32D
     D32E
     D32F
     D33
     D33A
     D33B
     D33C
     D33D
     D33E
     D33F
     D34
     D34A
     D34B
     D34C
     D34D
     D34E
     D34F
     D35
     D35A
     D35B
     D35C
     D35D
     D35E
     D35F
     D36
     D36AA
     D36AB
     D36AC
     D35AD
     E1
     E1A
     E2
     E3
     E4MONTH
     E4YEAR
     E5
     E6
     E7
     E8A
     E8B
     E9
     E10
     F1
     F2
     F3
     F3A
     F3B
     F4
     F5
     F5A
     F6
     F6A
     F7
     F8
     F8A
     F9
     F10
     F10A
     F11
     F11A
     F12
     F12A
     F13
     F13A
     F13B
     F13C
     F13D
     F13E
     F13F
     F14
     F14A
     F15
     F15A
     F15B
     F15C
     F16
     F16A
     F17
     F17A
     F17B
     F17C
     F19
     F19A_1
     F19A_2
     F19A_3
     F19A_4
     F19A_5
     F19A_6
     F19A_7
     F19A_8
     F19A_9
     F19A_10
     F19B_0
     F19B_1
     F19B_2
     F19B_3
     F19B_4
     F19B_5
     F19B_6
     F19B_7
     F19B_8
     F19B_9
     F19B_10
     F19B_11
     F19B_12
     F19B_13
     F19B_14
     F19B_15
     F19B_16
     F19B_17
     F19C
     G1
     G2
     G3
     G3A
     G3B
     G4
     G5
     G6
     G7
     G8
     G9
     G10
     G11
     G12
     G13
     G14
     G15
     G16
     G17
     G18
     G19
     G20
     G20A
     G20B
     G21
     G22
     G23
     G24
     G25
     G26
     G27
     G28
     G28A
     G28B
     G29
     G30
     G31
     G32
     G33
     G34
     G35
     G36
     G37
     G38
     G39
     G40
     G41
     G42
     G43
     G44
     G45
     G46
     G47
     G48
     G49
     G50
     G51A
     G51B
     G51C
     G51D
     G51E
     G51F
     G51G
     G51H
     G51I
     G51J
     G51K
     G51AA
     G51BA
     G51AB
     G51BB
     G51AC
     G51BC
     G51AD
     G51BD
     G51AE
     G51BE
     G51AF
     G51BF
     G51AG
     G51BG
     G51AH
     G51BH
     G51AI
     G51BI
     G51AJ
     G51BJ
     G51AK
     G51BK
     G52
     G53
     G54
     G55
     G56
     G57
     G58
     G59
     G60
     G61
     G62
     G63
     G64
     G65
     G66
     G67
     G68
     G69
     G70
     G71
     G72
     G73
     G74
     G75
     G76
     G77
     G78
     G79
     G80
     G81
     G82
     G83
     G84
     G86
     G87
     G88
     G89
     G90
     G91
     G92
     G93
     G95
     G96
     G97
     G98
     G99
     H1
     H2
     H3
     H3BRATE
     H4
     H4ARATE
     SAME1ST
     H6
     H7
     SAME2ND
     H7ARATE
     H8
     H8ARATE
     SAME3RD
     H10
     H10A
     H10BRTE
     SAME4TH
     H11
     H12
     H13
     SAME5TH
     H13BRTE
     H14
     H14ARTE
     SAME6TH
     H15
     SAME7TH
     H15B
     H15CRTE
     H17
     H17A
     H17BRTE
     SAME8TH
     H19
     H19A_1
     H19A_2
     H19A_3
     H19A_4
     H19A_5
     H19A_6
     H19A_7
     H19A_8
     H19B
     H21A
     H22ATIM
     H21B
     H22BTIM
     H21C
     H22CTIM
     H21D
     H22DTIM
     H21E
     H22E
     H22ETIM
     H21F
     H22FTIM
     H21G
     H22G
     H22GTIM
     H21H
     H22HTIM
     PHONE1
     PHONE2
     PERSON2
     PHONE3
     ENDYEAR
     TOTTIME
     BOXII
     BOXIII
     BOXIV
     BOXRECPT
     I11A
     I11AA
     I11AB
     I11B
     I11BA
     I11BB
     I11C
     I11CA
     I11CB
     I11D
     I11DA
     I11DB
     I11E
     I11EA
     I11EB
     I11F
     I11FA
     I11FB
     I11G
     I11GA
     I11GB
     I11AC
     I11BC
     I11CC
     I11DC
     I11EC
     I11FC
     I11GC
     D6A_1
     INHAL
     ALCOHOL
     MARIJUAN
     CRACK
     COCAINE
     PCP
     HALLUCIN
     HEROIN
     ILLMETH
     NARC
     METHAMPH
     DOWNERS
     OTHDRUG
     AGEFINH
     AGEFALC
     AGEFMAR
     AGFCRK
     AGEFCOC
     AGEFPCP
     AGEFHAL
     AGEFHER
     AGEFMTH
     AGEFNAR
     AGEFAMP
     AGEFDWN
     AGEFOTH
     USBINH
     USBALC
     USBMAR
     USBCRK
     USBCOC
     USBPCP
     USBHAL
     USBHER
     USBMTH
     USBNAR
     USBAMP
     USBDWN
     USBOTH
     USBDINH
     USBDALC
     USBDMAR
     USBDCRK
     USBDCOC
     USBDPCP
     USBDHAL
     USBDHER
     USBDMTH
     USBDNAR
     USBDAMP
     USBDDWN
     USBDOTH
     USAINH
     USAALC
     USAMAR
     USACRK
     USACOC
     USAPCP
     USAHAL
     USAHER
     USAMTH
     USANAR
     USAAMP
     USADWN
     USAOTH
     USADINH
     USADALC
     USADMAR
     USADCRK
     USADCOC
     USADPCP
     USADHAL
     USADHER
     USADMTH
     USADNAR
     USADAMP
     USADDWN
     USADOTH
     USYINH
     USYALC
     USYMAR
     USYCRK
     USYCOC
     USYPCP
     USYHAL
     USYHER
     USYMTH
     USYNAR
     USYAMP
     USYDWN
     USYOTH
     USYDINH
     USYDALC
     USYDMAR
     USYDCRK
     USYDCOC
     USYDPCP
     USYDHAL
     USYDHER
     USYDMTH
     USYDNAR
     USYDAMP
     USYDDWN
     USYDOTH
     USNINH
     USNALC
     USNMAR
     USNCRK
     USNCOC
     USNPCP
     USNHAL
     USNHER
     USNMTH
     USNNAR
     USNAMP
     USNDWN
     USNOTH
     USNMINH
     USNMALC
     USNMMAR
     USNMCRK
     USNMCOC
     USNMPCP
     USNMHAL
     USNMHER
     USNMMTH
     USNMNAR
     USNMAMP
     USNMDWN
     USNMOTH
     USMINH
     USMALC
     USMMAR
     USMCRK
     USMCOC
     USMPCP
     USMHAL
     USMHER
     USMMTH
     USMNAR
     USMAMP
     USMDWN
     USMOTH
     USBSEC
     USASEC
     USBANY
     USAANY
     TRTYPE
     LOS
     LOSCAT
     RACE
     DISAGE
     DISAGE2
     PRETRT
     COMPTRT
     AFTTRT
     HELPTRT (LO THRU -1) /
     C13_1
     C13_2
     C13_3
     C25_1
     C25_2 (LO THRU -1.0) /
     C25_3
     H3BDOL
     H4ADOL
     H7BDOL
     H8ADOL
     H10BDOL
     H13BDOL
     H14ADOL
     H15CDOL
     H17BDOL
     H22A
     H22B
     H22C
     H22D
     H22F
     H22H (LO THRU -1.00) /
     WT1
     WT2
     WT3 (LO THRU -1.0000) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
